Introduction

Nous dédions ce document aux innombrables heures perdues non seulemet par ceux qui ont cherché la réponse à des questions simples, mais aussi par les gens qui ont apporté des réponses à des questions qu'on ne devrait pas avoir à poser. La documentation est un art difficile, et une bonne documentation est pratiquement inaccessible =].

Toutes les images utilisées dans ce fichier d'aide sont prises avec les paramètres par défaut. Si vous modifiez un de ces paramètres, vous aurez un décalage avec l'image, c'est surtout visible avec la barre d'outils (la position des images sera toujours le même).

Les boutons de la souris sont utilisés pour un droitier. Toutefois, pour une configuration en mode gaucher, vous devrez inverser l'utilisation des boutons. Les actions ordinaires dans Notepad++ sont essentiellement calquées sur l'utilisation standard de Windows.

De même, l'affichage standard est justifié de gauche à droite. Avec certaines localisations (comme l'Hébreu ou le Farsi), Notepad++ peut utiliser la justification inversée.

Ce fichier d'aide utilise des balises pour distinguer certains éléments d'interface ou d'interaction.

Quand une option dans le menu peut être sélectionnée (ouvrir le menu puis sélectionnez l'option), il ressemblera à ceci: Menu->Option
où la flèche indique 'Option' dans un sous-menu "Menu"
Quand un bouton dans l'interface graphique peut être pressé, il sera marqué comme ceci :

La case à cocher peut être activée ou désactivée quand le mode est marqué comme ceci:

les Boutons radio sont comme des cases à cocher, mais dans un seul groupe de boutons radio un seul peut être sélectionné. Ils sont marqués comme ceci :

Parfois, les étiquettes sont utilisées dans l'interface graphique pour décrire un élément quand ils ne peuvent avoir aucun texte associé directement avec eux. Les Labels ressemblent à ceci : Label
Enfin, lorsque la souris ou l'interaction avec le clavier est nécessaire, les boutons ou touches à presser sont marqués comme ceci : Leftmousebutton

Ce balisage est fondé sur l'apparence par défaut de Microsoft Windows. Cela peut être différent sur votre propre système, mais les noms (texte) sont toujours les mêmes. Ceci est particulièrement important sur les captures d'écran. Elles sont seulement là à titre de référence, votre apparence de Notepad++ peut être très différente.

Ce fichier d'aide a été écrit par Harry (harrybharry@users.sourceforge.net) et mis à jour par CChris ( cchris@users.sourceforge.net), il a été converti en HTML à l'aide KompoZer. Il a été traduit en français par lesueur.jacques@gmail.com, par décompilation de l'anglais et recompilation en français en un fichier d'aide avec Microsoft HTML Help Workshop.

Notepad++ est produit par Don Ho ( don.h @ free.fr ), Microsoft et Microsoft Windows sont des marques déposées.


Gestion des fichiers

Voici les options disponibles pour gérer vos fichiers:
Créer de nouveaux fichiers
Ouverture et fermeture des fichiers
Activation d'un fichier
Édition des fichiers
Ouverture en lecture-seule des fichiers
Touches Raccourcis du menu Fichier

Note : Voir la section sur la boîte de dialogue Documents pour voir d'autres méthodes pour gérer vos fichiers.


Création de fichier

Créer de nouveaux fichiers:

Pour créer un nouveau fichier, allez dans Fichier-> Nouveau ou appuyez sur [image]. Un nouvel onglet vide apparaît avec un titre calculé du genre "New n", où le nombre n dépend du nombre de nouveaux fichiers que vous avez créés depuis l'ouverture de Notepad++. Un double clic sur un espace libre de la barre des onglets a le même effet.


Ouvrir et Enregistrer

Ouverture et enregistrement de fichiers:

Ouverture

    Ouvrir... est très semblable à toute autre application Windows :
  • Pour ouvrir un fichier, il suffit d'aller dans Fichier-> Ouvrir... , ou appuyez sur [image]. Une boîte de dialogue apparaît et vous pouvez sélectionner un ou plusieurs fichiers qui doivent être ouverts. Chaque fichier sera ouvert dans un onglet individuel. Si le fichier est déjà ouvert, Notepad++ va vous montrer ce fichier dans son état actuel. Dans la boîte de dialogue, un filtre vous permettra de ne montrer que les fichiers qui appartiennent à un langage donné (tels que C++ ou PHP) en fonction de l'extension. Par défaut tous les fichiers sont affichés. Si vous tenez d'ouvrir plus de 200 fichiers, Notepad++ vous en avertira, au cas où ce serait une fausse maneuvre.
  • Une autre façon d'ouvrir un fichier est de glisser le fichier dans Notepad++ en utilisant le curseur, sur la barre de titre de l'application. Cela peut aussi être fait avec plusieurs fichiers ou dossiers sélectionnés ensemble.
  • De plus, Notepad++ conserve une liste des fichiers non ouverts, et récemment fermés (dans le menu Fichier) vous permettant de les rouvrir rapidement. Il suffit de cliquer sur le nom du fichier pour l'ouvrir (voir la section sur la liste des fichiers récents pour plus de détails). Pour ouvrir tous les fichiers dans cette liste, il suffit de sélectionner Fichier-> Ouvrir tous les fichiers récents. Fichier-> Nettoyer liste des fichiers récents permet de réinitialiser cette liste). Si la liste est contenue dans un sous-menu, ces deux commandes y figurent également.
  • Voir aussi l'option ligne de commande pour voir comment ouvrir des fichiers de cette manière.

Enregistrement

    L'enregistrement d'un fichier peut se faire de plusieurs façons :
  • Le mode par défaut est de sélectionner Fichier-> Enregistrer... ou d'appuyer sur [image]. S'il s'agit d'un fichier existant, il sera remplacé par le contenu actuel. Notez que si le fichier n'a pas été modifié, vous ne pouvez pas enregistrer le fichier, l'option n'est pas accessible.
  • Si vous souhaitez enregistrer tous les fichiers que vous avez ouverts à la fois, vous pouvez sélectionner Fichier-> Enregistrer tout ou appuyer sur [image].
  • Si le fichier n'a qu'un nom calculé (par exemple, si vous aviez créé un nouveau fichier), ou que vous avez sélectionné Fichier-> Enregistrer sous , la boîte de dialogue d'enregistrement de fichier apparaît, vous demandant le nom du fichier. Vous pouvez ensuite choisir l'emplacement et le nom du fichier. L'extension .txt est ajoutée si le nom du fichier n'a aucune extension. Ajoutez un point pour éviter ce comportement.
  • Une variante utile : Fichier-> Enregistrer une copie. La différence avec Fichier-> Enregistrer sous est que votre travail se poursuit sur le nouveau fichier, et non pas sur le fichier origine.
  • Le filtre de la boîte de dialogue peut ajouter automatiquement ou modifier l'extension pour vous. L'extension par défaut sera en tête de la liste du filtre.

Sauvegardes

Les sauvegardes, qui sont optionnelles, prennent deux formes:

  • A l'enregustrement d'un fichier, vous pouvez demander à Notepad++ de conserver une copie de sauvegarde. Le nom de cette copie comporte optionnellement un horodatage, et peut être placée dans un répertoire dédié plutôt qu'à côté du fichier enregistré.
  • Si Sauvegardes et enregistrements de session périodiques est cochée, le contenu de tous les fichiers ouverts dans leur état immédiat (non enregistré), ainsi que la session les décrivant, seront sauvegardés à intervalles réguliers, de lobgueur configurable. Il peut en résulter que votre fichier sur disque contienne son état enregistré le plus récent, alors qu'une copie instantanée plus récente existe ailleurs, et apparaîtra dans l'éditeur à sa réouverture. Ceci est particulièrement utile en cas de fermeture acidentelle du programme, mais peut surprendre si vous travaillez sur le même fichier avec d'autres outils que Notepad++. Notepad++ ne vous avertit pas à la fermeture que des fichiers ne sont pas enrgistrés; il faut se fier aux icônes d'état sur les oglets.
All options controlling what kind of backup is on and configuring backup are on the backupp tab in the Preferences dialog box

Other related operations

Vous pouvez Fichier->Recharger à partir du disque un fichier si vous souhaitez soit mettre à jour la vue actuelle du fichier (par exemple, si le fichier a été modifié entretemps) soit réinitialiser son contenu à ce qui est sur le disque (si vous avez modifié le fichier, mais pas encore enregistré). Si le fichier a été modifié sur le disque d'une autre manière en décalage avec le contenu en mémoire, Notepad++ va vous demander par défaut si vous souhaitez le recharger (voir Préférences pour plus de détails).

Enfin, vous pouvez choisir de renommer un fichier en sélectionnant Fichier-> Renommer . Une boîte de dialogue vous demandera le nouveau nom du fichier, semblable à la boîte de dialogue Enregistrer sous. Toutefois, le fichier d'origine sera supprimé.

Le gestionnaire de projets

Cet outil, sous la forme d'une fenêtre ancrable, permet l'affichage sous forme arborescente d'ensembles de fichiers, et permet d'en ouvrir un par un dans la vue principale. On ouvre ces fenêtres par Affichage -> Projet -> Affichage de projet n où n vaut 1, 2 ou 3. Sous une racine appelée Workspace peuvent se trouver des projets, eux-mêmes composés de répertoires et fichiers.

Chaque élément a un menu contextuel. Celui de l'espace de travail est également affiché via WorkSpace, celui des autres éléments étant disponible via Edit.

L'espace de travail

Chaque espace de travail est lié à un fichier qui en décrit le contenu à la manière d'une session. Ainsi peut-on:

  • Remettre à zéro l'espace
  • Charger un fichier d'espace
  • Recharger le fichier d'espace (pour écraser des modifications indésirables)
  • Sauvegarder l'état de l'espace
  • Sauvegarder dans un autre fichier d'espace, et le rendre courant
  • Sauvegarder une copie dans un fichier d'espace (et continuer avec l'actuel)
  • Ajouter un nouveau projet

La touche Entrée, de même qu'un double clic ou clic simple sur le symbole d'escamotage s'il existe, change l'état d'escamotage de l'élément.

Au sein d'un espace de travail, tout élément peut être déplacé par glisser-déplacer, pour autant que cela ait un sens - déplacer un projet à l'intériur d'un répertoire n'a pas de sens. En outre, un élément peut être déplacé vers le haut ou le bas dans la catégorie qui le contient, et ce en sélectionnant l'élément puis en utilisant les touches Ctrl-Haut vers le haut ou Ctrl-Bas vers le bas.

Les projets

On peut renommer ou supprimer un élément via le menu contextuel, ou bien y ajouter des répertoires et des fichiers. Le changement de nom peut aussi se faire par clic sur l'étiquette, à la manière de l'explorateur de fichiers de Windows. La touche Suppr supprime aussi l'élément.

La commande Ajouter des fichiers depuis un Dossier... vous permet de choisir un répertoire. Ceci étant fait, tou ses fichiers sont ajoutés au projet, et tous ses répertoires sont ajoutés comme répertoires du projet.

Les répertoires

Les mêmes commandes sont disponibles. Un répertoire est un simple contenant, il n'est en rien lié à un répertoir de votre système de fichiers, même s'is ont été ajoutés via la commande Ajouter des fichiers depuis un Dossier... .

Les fichiers

Un fichier de l'espace de travail référence le fichier correspondant sur votre ordinateur. Les mêmes commandes sont disponibles, hormis Ajouter un répertoire; les fichirs n'ont pas de symbole d'escamotage. On peut en revanche changer le chemin complet du fichier via Modifier le chemin du fichier - cela permet par exemple de basculer d'une version à l'autre quand elles sont dans des répertoires différents sur votre ordinateur. La touche Entrée ou un double clic ouvre le fichier dans la vue active.

Si un nom de fichier ne correspond pas à un fichier réel, son icône est surchargée pour signaler ce fait, et on ne peut pas l'ouvrir.


Clôture

Fermeture des fichiers

Afin de fermer les fichiers que vous avez ouverts, vous disposez de plusieurs options. N'oubliez pas que si vous avez des données non sauvegardées dans un fichier, Notepad++ vous demandera toujours si vous souhaitez enregistrer les modifications avant de fermer tous les fichiers.

Principalement, vous pouvez fermer tout fichier en sélectionnant Fichier -> Fermer ou en cliquant sur [image].

Pour fermer tous les fichiers, sélectionnez Fichier -> Fermer tout ou appuyez sur [image].

Pour fermer plusieur fichiers simultanément, le menu Fermer... propose divers choix:

  • Fermr tout sauf le document actif
  • Ferler tous les onglets sur la gauche
  • Ferler tous les onglets sur la droite
'sur la droite', quand il y a plusieurs lignes d'onglets, s'applique aussi aux autres lignes.

Ces options sont aussi disponibles via le menu contextuel d'onglet, mais non regroupées en un sous-menu.

Il y a aussi un paramètre qui permet de fermer un onglet en double-cliquant dessus, ou afficher un bouton de fermeture sur chaque onglet ( [image]). Pour voir comment procéder, consultez la section sur la configuration de la barre d'onglets dans la boîte de dialogue Préférences.

Enfin, vous pouvez fermer un onglet actif en cliquant sur la croix dans le coin en haut à droite de la barre de menu, ou encore, si vous activez cette option, par double clic sur l'onglet.


Activation

Activation d'un fichier:

Notepad++ vous permet d'ouvrir plusieurs fichiers à la fois, ou plusieurs fichiers à plusieurs reprises, mais un seul sera actif (aura le focus) à tout moment. Tous les fichiers sont représentés sur la barre d'onglets par leur nom et une icône indiquant son statut: non modifié, modifié ou en lecture seule (voir la section sur la barre d'onglets pour plus de détails). Il suffit de cliquer sur un onglet pour activer le fichier. Vous pouvez également utiliser les combinaisons de touches Ctrl Tab et Ctrl-Maj-TAB pour parcourir les fichiers chargés, ou appuyez sur le bouton droit de la souris et utilisez la molette de défilement (voir aussi Commutation entre les documents).

Si le mode Vue-Multiple est activé, une seule vue peut être effectivement active, mais vous pouvez voir les deux fichiers à la fois: celui qui est actif et celui qui serait actif dans l'autre vue si elle recevait le focus.


Marque de modification en cours

Marque de modification des fichiers en cours:

Lorsque vous modifiez un fichier, Notepad++ va marquer le fichier comme modifié, ce qui vous permet de l'enregistrer si vous souhaitez enregistrer effectivement ces changements. Dès qu'un fichier est modifié, l'icône des onglets correspondants passe du bleu au rouge ( [image]) et un astérisque (*) s'affiche dans la barre de titre avant le nom du fichier si ce fichier est actif. Pour un fichier non modifiable, l'icône est grise.


Fichiers en lecture-seule

Un document ouvert dans Notepad++ peut être marqué comme étant en lecture seule, ce qui signifie qu'il ne peut pas être modifié.

    Notepad++ reconnaît les deux états suivants:
  • Le fichier dans le système de fichiers est marqué comme en lecture seule. Vous ne pouvez activer l'édition du fichier en désactivant l'indicateur de lecture seule. Vous pouvez le faire en sélectionnant Edition -> Enlever l'attribut Lecture-Seule du fichier .
  • Le document dans Notepad++ est marqué comme en lecture seule. Vous pouvez régler manuellement cette option en sélectionnant Edition -> Lecture seule pour le Document Actuel . Le document dans Notepad++ ne peut pas être modifié, mais si le fichier existe dans le système de fichiers, il ne sera pas marqué comme en lecture seule; c'est juste un état interne.


Raccourcis fichier

Raccourcis pour le menu Fichier

Raccourcis par défaut

Voici ci-dessous la liste des touches du clavier prédéfinies et les Raccourcis « souris » pour Notepad++ . Ils peuvent être librement configurés à l'aide du Raccourcis clavier... , et ce menu permet de rajouter des commandes non prise en compte par les raccourcis par défaut. Cette liste ne comprend pas les raccourcis standard fourni par les plugins de Notepad++.

Dans le menu Fichier
Raccourci | Action
Ctrl-O | Ouvrir un fichier
Ctrl-N | Nouveau fichier
Ctrl-S | Enregistrer le fichier
Ctrl-Alt-S | Enregistrer sous
Ctrl-Shift-S | Enregistrer tout
Ctrl-P | Imprimer
Alt-F4 | Sortie
Ctrl-Tab | Document Suivant (affiche optionnellement une liste des fichiers ouverts). Voir Paramètres / Préférences / Divers).
Ctrl-PageSuiv. | Document Suivant
Ctrl-Maj-Tab | Document P'écéde,t (affiche optionnellement une liste des fichiers ouverts). Voir Paramètres / Préférences / Divers).
Ctrl-PagePréc. | Document précédent
Ctrl-W | Fermer le document actuel
Ctrl-PavéNumériquen | Activer le n-ième document de la bare d'onglets, n entre 1 et 9


Gestion de session

La gestion de session

Les sessions sont un ensemble de fichiers ouverts dans Notepad + +. Ils stockent les fichiers ouverts, le fichier actif (et la vue, consultez la section Vue-Multiple), la sélection actuelle et la position dans le dossier, les signets en cours (voir Signets ) et le langage courant (voir la section sur les langages). Utiliser une session, c'est ouvrir un ensemble (relatif) de fichiers en une seule action.

Voir aussi :
Chargement Sessions
Enregistrement des sessions


Chargement de session

Chargement de sessions

Pour charger une session, il suffit d'aller à Fichier -> Charger une session... Lors de la sélection d'une session, tous les fichiers qu'elle contient seront ouverts et leur dernier état rétabli.

Si vous avez défini une extension de session par défaut (par exemple, .Session) pour Notepad++, vous pouvez ouvrir une session comme n'importe quel autre fichier. Si le fichier porte l'extension d'une session, Notepad++ tentera de le charger comme tel (voir aussi la section concernant les préférences ). Il est très utile de choisir une telle extension, mais surtout n'utilisez pas .xml pour cela!

Si vous avez défini une extension par défaut pour les fichiers de session, vous pourrez filtrer ces fichiers dans la boîte de dialogue « Chargement sessions ».


Enregistrement des sessions

Pour enregistrer une session, sélectionnez Fichier -> Enregistrer la session , sélectionnez l'emplacement et le nom de la session à sauvegarder. Ceci est très similaire à l'enregistrement des fichiers, mais s'applique aux sessions.

Lorsque l'option Enregistrer la session en cours pur le prochain lancement est activée dans les Préfére,ces, Notepad++ enregistre automatiquement la session en cours à la fermeture, sauf si l'application a été lancée avec l'option « -nosession » de la ligne de commande.

Pour utiliser des sessions, il est souvent pratique de leur affecter une extension spécifique. Choiisissez impérativement une extension autre que XML!

Une session sauvegarde, pour chaque fichier:

  • la vue où il se trouvait
  • l&aposemplacement du curseur
  • les parties escamotées, si cela a un sens
  • les marque-pages qu'il portait
  • la zone sélectionnée
  • La largeur de défilement de sa vue
  • Le langage et l'encodage utilisé


Modification

L'édition de fichiers se fait principalement en utilisant le clavier (ou le dispositif Input Method Editor (IME) pour les langues d'Extrême-Orient) pour modifier le contenu, insérer et supprimer du texte. Toutefois, Notepad++ dispose de nombreux outils et aides pour faciliter l'édition de fichiers, principalement pour automatiser des tâches répétitives ou accélérer le développement informatique.

Notepad++ est basé sur le contrôle d'édition Scintilla et compte sur lui pour effectuer des tâches d'édition de masse, en bénéficiant des mises à niveau des fonctionnalités dont voici les plus utiles :
Opérations Standard
Indentation et espacement
Sélection de texte
Mode Remplacement / Insertion
Auto complétion de mots
Mode d'édition en colonne
Commentaires
Autres outils d'édition
Mouvements de la souris
Raccourcis liés à l'édition


Opérations Standard

Les opérations standards

Le contrôle d'édition prend en charge les opérations simples : Annuler, Rétablir, Couper, Copier et Coller. Ces opérations courantes se trouvent dans la plupart des éditeurs et sont mise en œuvre de façon très similaire. Vous pouvez effectuer ces opérations en sélectionnant l'élément de menu correspondant dans le menu Edition, ou en cliquant sur son bouton dans la barre d'outils ( [image] pour couper, [image] pour copier, [image] pour coller, [image] pour annuler et [image] pour refaire). En plus et par défaut, Couper, Copier et Coller sont disponibles dans le Menu contextuel.

En parcourant les Raccourcis Clavier..., vous verrez toutes les commandes d'édition pour dupliquer ou déplacer des lignes, ou envoyer une ligne vers le presse-papier sans le sélectionner (Voir aussi d'autres outils d'édition).

Lorsque vous copiez ou collez du texte dans Notepad++, il est stocké pour affichage et usage ultérieur dans l'historique du presse-papier. Cette fenêtre ancrable, affichée par Edition -> Historique du presse papier, énumère toutes ces coupures, dont elle montre les 12 premiers caractères. Un double clic sur un élément l'insérera là où est le curseur.

Puisque la plus simple des opérations d'édition est l'insertion d'un caractère arbitraire, Notepad++ a un outil pour insérer n'importe quel caractère. Il s'affiche via Edition -> Panneau des Caractères. C'est une fenêtre ancrable comme l'historique du presse-papier, qui énumère les 256 codes ASCII et le caractère correspondant en regard. Un double clic sur un élément insérera le caractère associé.


Indentation et espacement

Indentation

Le retrait du texte est une opération courante lors de l'édition de code source, et Scintilla dans Notepad++ le supporte complètement. L'Indentation est l'ajout d'espace supplémentaire au début d'une ligne pour séparer des blocs de texte, afin de monter une hiérarchie entre des bloc de lignes.

Normalement, lors de l'édition, un appui sur la touche de tabulation va insérer un caractère de tabulation à l'emplacement actuel. Toutefois, si du texte est sélectionné, en appuyant sur la touche de tabulation (par défaut), c'est l'indentation qui est activée, ajoutant de l'espace au début de chaque ligne du texte sélectionné, ce qui est plus efficace que de répéter l'opérations ligne à ligne. Appuyez sur Maj + TAB diminue le retrait. Ces commandes sont également disponibles via Edition -> Indentation -> Augmenter / Diminuer le retrait.

L'Indentation se fait par niveau, chaque niveau ajoutant une quantité prédéfinie d'espaces (ce paramétrage peut être configuré au niveau d'une langue : voir Préférences ). Il y a aussi une option pour insérer un caractère de tabulation ou (plusieurs) espaces (pour cela, aussi voir Préférences ).

« Scintilla » peut afficher une ligne verticale pour chaque niveau; l'activation se fait en sélectionnant Affichage ->Symboles spéciaux ->Afficher le Guide d'indentation ou en appuyant sur [image]. Cette directive constitue un repère visuel pour suivre le niveau d'indentation des lignes du groupement courant. Pour modifier la couleur utilisée, voir Configurateur de coloration syntaxique (à noter que si le symbole sous le curseur est une accolade, le guide prend la couleur du caractère en évidence).

Espacemnt

Ce terme recouvre tous les caractères qui sont rendus par un blanc à l'impression. Les exemples les plus fréquents en sont les espaces et les tabulations horizontales. Si l'indentation utilise ces caractères, il peuvent aussi apparaître dans le corps de la ligne, en particulier à la fin. Notepad++ a un menu Edition -> Operations sur espacement comportant des commandes pour
  • Retirer les espaces en début de ligne, à la fin ou les deux;
  • Supprimer les especaes redoublés, ou les caractères de fin de ligne;
  • Transformer les tabulations en espaces ou vice versa, au moyen des préférences du langage du document.


Mode de frappe

Vous pouvez activer ou désactiver « saisir en écrasant les caractères » en appuyant sur insert, ou en cliquant sur la section la plus à droite de la barre d'état, qui indique le mode courant: INS pour les caractères en insertion, OVR (de l'anglais «overtype») pour l'écrasement. Le mode se repère aussi par le curseur qui s'affiche de manière différente (voir aussi les préférences pour le curseur).


Sélection de texte

Comme avec n'importe quel éditeur de texte, vous pouvez sélectionner du texte en utilisant la souris ou le clavier. Le texte sélectionné peut être entre autres déplacé vers une autre partie du même document, copié ailleurs dans le même ou dans un autre document, être utilisé pour une recherche de texte, supprimé.

Comment sélectionner du texte

Lorsque vous utilisez la souris, la façon la plus simple - même s'il y en a d'autres - est le Glisser/déposer, qui consiste à faire glisser la souris en maintenant le bouton gauche (droite en fonction inversée) du point de départ au point où le texte doit être déplacé. Vous pouvez également double-cliquer sur un mot pour le sélectionner, ou triple-cliquer sur une ligne pour la sélectionner. Le même effet est obtenu par un simple-clic sur la marge de numéro de ligne, lors de l'affichage. Vous pouvez étendre une sélection en gardant le bouton enfoncé jusqu'au niveau du point d'insertion.

Lorsque vous utilisez le clavier, la procédure prévue est d'utiliser les touches de navigation en conjonction avec la touche Maj. Ces Raccourcis Clavier... peuvent être modifiés à tout moment en utilisant l'outil Raccourcis Clavier....

En outre, il est possible de définir une sélection en deux étapes en cliquant sur Edit → Begin/End Select au début et à la fin de la plage de texte désirée. Cette technique est particulièrement efficace dans ke cadre de recherche et subsitution de texte.

Par ailleurs, ctrl-double cliquer un mot se trouvant entr deux délimiteurs prédéfinis sélectionne tout entre ces délimiteurs.. Par défaut, '(' et ')' sont utilisés, mais cela est configurable. Si les deux élimiteurs sont des guillemets, les guillements protégés (\") ne sont pas pris en compte.

Sélection Contigüe

Les procédures ci-dessus sont connues pour définir une sélection au fil de l'eau, qui englobe une plage contiguë de texte. Par l'utilisation de la commande SCI_SWAPMAINANCHORCARET de « Scintilla » du mappeur de raccourci, vous pouvez choisir si le curseur commence ou se termine dans la sélection.

Toutefois, Notepad++ sait aussi sélectionner sur un rectangle de lignes contiguës. Pour sélectionner un rectangle, utiliser les méthodes ci-dessus, tout en maintenant la touche Alt enfoncée. Par exemple, la méthode de base avec la souris est de Alt-cliquer sur le point de départ et Alt-déplacez la souris vers le point final, et ainsi de suite. Les versions Alt des raccourcis clavier peuvent être changées.

Edition -> Mode Colonne... affiche une petite boîte de dialogue afin de vous rappeler ces racourcis, puisqu'autrement ils n'apparaissent dans aucun menu.

Il est possible de combiner une sélection de flux et de sélection d'aire rectangulaire, en utilisant le clavier. Ceci est probablement moins utile, mais n'est pas un bogue.

Edition -> Ligne -> Déplacer la ligne courante vers (le haut /le bas) commande également le déplacement de la zone sélectionnée, si elle n'est pas rectangulaire. Cette capacité est perdue lorsque plusieurs sélections sont faites - voir ci-dessous.

Sélections multiples de flux

Si une zone de flux est sélectionnée, il est possible d'ajouter une autre, la zone disjointe étant sélectionnable par Ctrl-clic sur son point de départ et en déplaçant la souris vers le point final. Plusieurs sélections peuvent être ajoutées de cette façon. Toutefois, cette capacité ne s'étend pas aux sélections rectangulaires. Une sélection rectangulaire peut encore s'accrocher à un flux d'une sélection multiple. La commande SCI_ROTATESELECTION de « Scintilla » permet de parcourir les sélections, dans l'ordre où elles ont été définies.

Lors de la copie ou par découpe de sélection multiple, le texte est enregistré dans l'ordre où les sélections apparaissent, indépendamment de l'ordre où elles ont été faites.


Saisie semi-automatique

Notepad++ possède des capacités de saisie semi-automatique (auto-complétion), ce qui lui permet de finir un mot que vous tapez en donnant une liste d'options possibles, ou de l'insérer immédiatement si une seule est disponible (fournie par le composant Scintilla).

    Il existe deux types d'auto-complétion.
  • Le premier utilise une liste de mots-clé prédéfinis et est connue sous le vocable complétion des fonction. Elle est activée en sélectionnant Édition -> AutoComplétion -> Compétion de Fonction ou automatiquement lorsqu'un certain nombre de caractère est tapé (voir aussi les Préférences).
  • Le second, Complétion de mot, récupère tous les mots du fichier en cours et aide à compléter le mot. Ceci est activé en sélectionnant Édition -> AutoComplétion -> Complétion de mot , ou en entrant un numéro de série de la liste (voir Préférences). Complétion de mot est le seul type qui peut automatiquement finir un mot sans afficher d'abord une liste d'options.
  • Les deux sources de complétion semi automatique sont disponibles séparément ou ensemble.

Un sujet connexe (assez approchant) est l'affichage des paramètres des fonctions, ou aide aux appels de fonction. Il s'agit d'une petite info-bulle qui affiche les paramètres nécessaires (et peut-être quelques détails les concernant) pour une fonction à laquelle un appel est en cours de frappe. Il s'agit uniquement d'indications pour la programmation, qui ne servent à aucune autre tâche. L'info-bulle soulignera le paramètre en cours d'édition et les renseignements utiles éventuels sur le paramètre. Il est purement informatif et n'effectuera aucune correction du texte. Pour activer l' info-bulle (si des données existent), sélectionnez Édition -> Auto-Complétion -> Info-Bulle des paramètres de la fonction .

La saisie semi-automatique est liée à un langagedéterminé, sauf pour la complétion de mots (voir langages) et aux fichiers dits API pour chaque langage. Pour plus de détails sur ces fichiers XML et comment faire les vôtres, consultez NpWiki++.

Il est aussi possible de compléter depuis Notepad++ les chemins absolus de répertoires ou fichiers (raccourci par défaut: Ctrl-Alt-Space).


Mode Colonne

Modification des zones rectangulaires

Une autre façon d'éditer un fichier est de l'éditer en mode colonne. Cela signifie que le texte peut être sélectionné par colonnes, plutôt que par lignes (« édition verticale »). Le support de l'édition en colonne se fait via Scintilla, mais avec quelques suppléments de Notepad++. Pour lancer le mode colonne pour la sélection, appuyez sur la touche Alt (par défaut) lors de la sélection de texte (en utilisant les touches de navigation ou la souris), en déplaçant le curseur vers le bas ou vers le haut selon les besoins. Cela fonctionne mieux si une police non-proportionnelle (exemple : Courrier New) est utilisée, car chaque caractère sera visuellement aligné sur celui de la même colonne au dessus et en dessous (voir Configurateur de coloration Syntaxique pour plus d'informations).

Lorsque le texte est sélectionné dans ce mode appelé rectangulaire, la saisie au clavier changera chaque colonne de caractères sélectionné, y insérant le caractère saisi, ou bien insérera une nouvelle colonne. Utilisez la touche ESC pour sortir de ce mode de saisie spécial. Pour reculer d'une colonne, utilisez les options-> Annuler fonction Edit, et non la touche Retour arrière.

Avant de taper "faire" | Après avoir tapé "faire"

La commande Edit -> Mode Colonne.... affiche un message pour rappeler l'existence de ce mode et les raccourcis clavier par défaut. De fait, ils n'apparaissent dans aucun autre menu.

L'éditeur de colonnes

La boîte de dialogue Editeur de colonne est conçue pour rendre le travail plus facile avec des colonnes. Il peut être ouvert en sélectionnant Édition -> Édition en mode colonnes...

    Il existe deux types d'insertion pris en charge par l'éditeur en mode colonne, le texte normal ou des séquences de nombres.
  • En sélectionnant insertion de texte, il insére sur chaque ligne le texte saisi, à la occolonne du curseur, de la ligne courante jusqu'à la fin du document.
  • L' insertion de nombres va de même insérer sur chaque ligne une valeur numérique, selon les paramètres fournis:
    • Le nombre initial est le premier à insérer.
    • Le pas : valeur dont on augmente la précédente avant la prochaine insertion.
    • Si les Compléter par des zéros est cochée, les valeurs les plus petites seront complétées avec des zéros pour les rendre de même longueur que les plus grandes.
    • Enfin, vous pouvez choisir dans quelle base les nombres seront générés, par défaut "décimal" est utilisé (base 10).


Commentaire

Commentaires

    En programmation, il est souvent utile de commenter (en ajoutant certaines balises autour ou en face du texte à l'occasion, pour préciser qu'il ne s'agit pas de code) ou décommenter une (grande) partie du texte. Notepad++ permet d'ajouter deux types de commentaires :
  • des blocs de commentaires, ce qui signifie l'ajout d'une étiquette spéciale en face de chaque ligne du texte sélectionné ou de la ligne courante.
  • commentaires bornés, ce qui signifie ajouter des étiquettes spéciales autour du commentaire.
    Notepad++ peut également supprimer les commentaires « bloc de texte », ou les activer, ou encore les retirer s'il y en a et les ajouter sinon. Ces options sont disponibles dans le menu Édition ou le menu contextuel (voir la section sur le menu contextuel pour plus de détails).
  • Pour ajouter /supprimer des balises de commentaire jusqu'en fin de ligne, sélectionnez Édition-> Commentaire -> Commenter / Décommenter (mode ligne).
  • Pour ajouter des balises de commentaire sur une fin de ligne, sélectionnez Édition-> Commentaire -> Commenter (mode ligne) .
  • Pour supprimer des balises de commentaire sur une fin de ligne, sélectionnez Édition-> Commentaire -> Décommenter (mode ligne) .
  • Pour ajouter les balises de bloc de commentaire autour du texte sélectionné, sélectionnez Édition-> Commentaire -> Commenter le bloc sélectionné .
  • Pour supprimer les balises de commentaire par bloc autour du texte sélectionné, sélectionnez Édition-> Commentaire -> Déommenter le bloc sélectionné .

Notez que si un commentaire de bloc débute à la colonne 1, et si vous inverslez les commentaires de bloc sur une série de lignes qui contient la ligne ainsi commentée, la ligne sera en commentaire, ce qui n'est généralement pas l'effet voulu. Ce comportement est difficile à contourner.


Autres outils d'édition

    Recherchez dans le menu Edition des fonctions d'édition supplémentaires, ou dans le Raccourcis Clavier... dans la section Scintilla. La plupart du temps le travail se fait au niveau de la ligne:
  • Edition -> Enlever les blanc en fin de ligne : supprimera tous les espaces superflus de fin des lignes sélectionnées.
  • Edition -> Traitement des espacements : Convertir les fins de ligne en espaces, convertir les tabulations en espaces et vice versa, ...
  • Edition -> MAJUSCULE / minuscule : changera le Cast du Texte.
  • Edition -> Lignes : dupliquer /fusionner /classer /copier /remonter descendre une ligne.
    Mais aussi au niveau du document :
  • Edition -> Copier dans le presse-papier : le nom complet, le nom, le répertoire du document en cours.
  • Edition -> convertir les fin de ligne : mode ASCII (CrLf), mode UNIX(Lf), mode Mac(Cr).

Notepad++ peut aussi trier les lignes du document ou de la sélection, en ordre croissant ou décroissant.


Impression

Notepad++vous permet d'imprimer un fichier avec la coloration syntaxique actuelle (voir aussi la section sur les langages ). Si vous sélectionnez Fichier -> Imprimer , la boîte de dialogue d'impression s'affiche vous permettant de configurer votre imprimante avant l'impression. Choisir Fichier -> Imprimer Immédiatement ou cliquer sur [image] lancera immédiatement l'impression du fichier en cours. Pour configurer la façon dont un fichier doit être imprimé, voir Préférences.


Quitter

Sortie de Notepad++

Pour sortir de Notepad++, sélectionnez Fichier -> Quitter ou appuyez sur le bouton Fermer dans la barre de titre. Si vous avez des modifications non enregistrées, Notepad++ vous demandera si vous voulez enregistrer ces changements (ou annuler le processus de sortie). En sortant, Notepad++ sauvegardera la session en cours par défaut (voir la section La gestion de session) de sorte qu'il pourra la ré-ouvrir au prochain redémarrage. Pour modifier ce comportement, consultez la section Préférences.

    Parfois, pour diverses raisons (un plugin défectueux, ou un bogue du système d'exploitation),Notepad++ s'arrête anormalement d'une manière spontanée - il est dit en mode accident. Dans une telle situation, il fait deux choses:
  1. Il tente de sauver les données non enregistrées, le cas échéant. Les résultats sont en %TEMP%\N++RECOV\. Notepad++ affiche une boîte de message pour vous informer du processus.
  2. À la clôture, il va produire un fichier binaire d'environ 300Ko appelé NppDump.dmp. L'envoi du fichier aux développeurs de Notepad++ aidera à comprendre l'accident et à corriger l'anomalie dès que possible, afin que de tels événements ne se produisent qu'à titre exceptionnel. Si le coupable est un plugin, l'auteur du plugin peut être notifié avec un aperçu de l'accident, à lui de prendre les mesures qui s'imposent. Un plugin identifié comme cause d'accidents est automatiquement ésactivé - vous pouvez le remettre en œuvre si vous y tenez.


Mouvements de la souris

Actions

Voici la liste des mouvements prédéfinis de la souris que vous pouvez utiliser dans Notepad++. Ils sont définis par le composant Scintilla, et ne peuvent être modifiés:

Mouvements de la souris
Raccourci | Action
Simple clic gauche | sélectionne la ligne comme ligne courante
Simple clic gauche sur la barre d'état volet le plus à droite | Bascule les modes Insertion et Surcharge
Simple clic gauche sur la marge des signets | Bascule un signet
Maj + clic gauche sur le point d'escamotage | Déplie le niveau sélectionné et tous ceux en-dessous
Ctrl + clic gauche sur le point d'escamotage | Replie le niveau sélectionné et tous ceux en-dessous
Clic droit | Ouvre le menu contextuel
Double clic gauche | Sélectionner un mot
Double clic gauche sur la section emplacement de la barre d'état | Atteindre à la ligne entière
Triple clic gauche | Sélectionnez la ligne


Modifier les raccourcis

Raccourcis pour le menu Edition

Raccourcis par défaut

Ci-dessous la liste des clavier prédéfinis et les raccourcis souris pour Notepad++. Ils peuvent être librement configurés à l'aide du Gestionnaire de Raccourcis, ainsi que toutes les commandes qui ne sont pas liés à des raccourcis par défaut. Cette liste ne comprend pas les raccourcis standard fournis par les plugins de Notepad++.

Le menu Edition
Raccourci | Action
Ctrl-C | Copier
Ctrl-Inser | Copier
Ctrl-Shift-T | Copiez la ligne actuelle dans le presse papier
Ctrl-X | Couper
Maj + Suppr | Couper
Ctrl-V | Coller
Shift-Inser | Coller
Ctrl-Z | Défaire
Alt-Backspace | Défaire
Ctrl-Y | Refaire
Ctrl-A | Sélectionner tout
Alt-Shift-Flèche, ou Alt + Clic gauche | Sélection en Mode Colonne
Ctrl + clic gauche souris | Démarrer une zone de sélectionne supplémentaire. Seules les zones multiples sont sélectionnées de cette façon.
Alt-C | Editeur de colonne
Ctrl-D | Dupliquer la ligne courante
Ctrl-T | Déplacer la ligne actuelle avant la précédente
Ctrl-Shift-Up | Déplacer vers le haut la ligne actuelle ou la sélection unique
Ctrl-Shift-Down | Déplacer vers le bas la ligne actuelle ou la sélection unique
Ctrl-L | Supprimer la ligne courante
Entrée, Shift-Entrée | Scinde la ligne au niveau du curseur. La nouvelle ligne a l'indentation de la ligne courante
Ctrl-Alt-Entrée | Insère une ligne au-dessus, sans indentation
Ctrl-Alt-Shift-Entrée | Insère une ligne au-dessous, sans indentation
Ctrl-I | Tronçonner une lign
Ctrl-J | Fusionner les lignes
Ctrl-G | Dialogue Aller à ...
Ctrl-K | Commenter / décommenter les lignes
Ctrl-Shift-K | commenter un bloc de code
Ctrl-Q | Commenter les lignes
Ctrl-Shift-Q | Décommenter les lignes
Tab (sélection d'une ou plusieurs lignes entières) | Indenter (augmenter le retrait)
Maj + Tab (sélection d'une ou plusieurs lignes entières) | Désindenter (diminuer le retrait)
Ctrl-Backspace | Supprimer la partie gauche du mot
Ctrl + Suppr | Supprimer la partie droite du mot
Ctrl-Shift-BackSpace | Supprimer la partie gauche de la ligne
Ctrl-Shift-Delete | Supprimer la partie droite de ligne
Ctrl-U | Convertir en minuscules
Ctrl-Shift-U | Convertir en majuscules
Ctrl-B | Aller à l'accolade appariée
Ctrl-Espace | Liste de mots clé du langage pour autocomplétion
Ctrl-Shift-Space | Assistant paramètres des fonctions
Ctrl-Alt-Espace | Saisie semi-automatique des chemins absolus
Ctrl-Entrée | Liste des mots du fichier, pour autocomplétion
Ctrl-Alt-R | Orientation du texte de droite à gauche
Ctrl-Alt-L | Orientation du texte de gauche à droite
Ctrl-Alt-Entrée | Ajouter une ligne au-dessus, sans indenteation
Ctrl-Alt-Maj-Entrée | Ajouter une ligne en-dessous, sans indenteation


Les propriétés du document

Propriétés du document

Un document possède des caractéristiques spécifiques liées aux systèmes d'exploitation, sur la mémorisation des données stockées sur votre disque dur. Les options suivantes concernent certains de ces aspects.
Format de fin de ligne
Encodage / Décodage

Note: le format par défaut terminaison de la ligne et l'encodage des nouveaux fichiers peuvent être aussi préétablis séparément (voir Préférences: pour plus de détails).


Format terminaison de la ligne

Format de fin de la ligne

Les fichiers à plusieurs lignes de texte ont des caractères spéciaux de nouvelle ligne pour indiquer où se termine la ligne et où commence la suivante. Parce que les systèmes d'exploitation traditionnels ont eu différents formats (mode ASCII (CR+LF), mode UNIX(LF), mode Mac ancien (CR)), Notepad + + et Scintilla disposent de procédés automatiques pour contourner ces différences.

Lors de l'édition d'un fichier, Notepad++ va essayer de déterminer le format de retour à la ligne dès l'ouverture. Pour modifier le format utilisé, il suffit de sélectionner le format désiré dans le menu Edition -> Conversions fin de ligne. Toutes les sauts de ligne seront modifiés et les nouvelles lignes à venir seront ajoutées avec ce format.


Encodage / décodage

Le texte peut être codé de plusieurs façons. La plupartdes fichiers texte sont au format de codage appelé ANSI, permettant le codage compact d'un jeu de 256 caractères. Pour les usages européens ce codage est suffisant. Toutefois, l'encodage Unicode a été mis au point pour permettre de coder une quantité beaucoup plus importante de caractères, ce qui permet à un seul fichier de contenir du texte de plusieurs écritures, au prix d'une taille plus importante. Notepad++ va essayer de détecter automatiquement le codage utilisé à l'ouverture d'un fichier, mais il vous permet de le changer à l'édition. Pour changer simplement l'encodage de restitution (sans modifier le texte lui-même), sélectionnez l'une des options Encodage -> Encoder en.... Pour convertir le texte dans un autre codage, sélectionnez l'une des entrées Encodage -> Convertir en ....

Il peut arriver qu'un fichier soit enregistré avec un codage que Notepad++ n'arrive pas à détecter correctement. Il s'agit d'une limitation technique et elle se produit parce que le fichier résultat ne stocke pas le type d'encodage. Cela n'est plus le cas si le fichier est enregistré avec une mode BOM (Byte Order Mark) indiquant le codage utilisé.

Notepad++ offre les systèmes de codage suivants :
ANSI
Codage originel du format Windows, la plus petite taille possible pour le fichier. résultat, mais sujet ç des erreurs dues à l'utilisation de multiples pages de code (jeux de caractères différents). Une appelation plus correcte serait OEM.
UTF-8
Codage Unicode, le plus utilisé sur Internet. Il code le maximum de caractère en caractère sur un octet, permettant de diminuer la taille du fichier. Toutefois, ce format autorise l'utilisation de caractères codés sur 2, 3 ou 4 octets, Une suite d'octets BOM figurera en en-tête du fichier pour mémoriser le codage utilisé.
UTF-8 sans BOM
Comme UTF-8, mais la BOM n'est pas ajoutée. Economise trois octets, mais rend plus difficile la détection d'encodage. Les anciens serveurs requièrent ce mode.
UCS-2LE (Little Endian)
Tous les caractères sont encodés sur deux octets , les couples d'octets sont au format Little Endian. Un en-tête de 2 octets est ajouté au fichier.
UCS-2BE (Big Endian)
Tous les caractères sont encodés sur deux octets , les couples d'octets sont au format Big Endian. Un en-tête de 2 octets est ajouté au fichier.

En outre, depuis la version 5.6, Notepad++ supporte le changement de jeu de caractères utilisé pour afficher le texte au format ANSI, exactement comme vous le faites dans la plupart des navigateurs web. Ces encodages sont disponibles en utilisant les jeux de caractères ci dessus énumérés dans l'option Encoder en ... Le codage initial de nouveaux documents peut être de n'importe quel type : Unicode, ANSI ou formats pris en charge.

Notepad++ déteccte l'encodage d'un document au moyen de techniques d'analyse sophistiquées. Vous pouvez tojours le changer si le résultat est incorrect. uand une référence à un document est inscrite dans une session, l'encodage utilisé est sauvegardé. Comme la détection est heuristique, elle peut parfois se tromper; vous pouvez la désactiver par Auto-détection de l'encodage sur l'onglet Divers des Préfére,ces.


Recherche

Il existe plusieurs méthodes pour rechercher (et remplacer) dans des fichiers « texte ». Vous pouvez également marquer les résultats de recherche avec des signets, ou mettre en évidence le résultats de recherche :

  • Recherche Standard
  • Remplacer
  • Rechercher dans des fichiers
  • Recherche : fenêtre des résultats
  • Recherche sans dialogue
  • Recherche volatile
  • Signets : Résultats de la recherche
  • Recherche incrémentielle
  • Boîte de dialogue "Aller à ..."
  • Mise en surbrillance automatique
  • Accolades appariées
  • Signets
  • Raccourcis en relation avec le menu de recherche


Recherche normale

    Vous pouvez rechercher du texte comme dans la plupart des programmes utilisant la boîte de dialogue Rechercher / Remplacer. Vous pouvez ouvrir cette boîte de dialogue par:
  • Rechercher -> Rechercher (ou en appuyant sur [image] ),
  • Rechercher -> Remplacer (ou en appuyant sur [image] )
  • Ou Recherche-> Rechercher dans les fichiers.

Dans chacune de ces options, ouvrez l'onglet correspondant dans le dialogue Rechercher / Remplacer. Cette boîte de dialogue restera toujours au-dessus du texte, mais vous pouvez toujours continuer à modifier le texte si lle est ouvert, et vous pouvez la configurer pour qu'elle soit transparente (en utilisant l'option Transparence), lors de son inactivité (par perte du focus) ou tout le temps. Le curseur contrôle le niveau de transparence. Notez que la transparence n'est disponible quà partir de Windows 2000.

Dans le champ Rechercher, tapez le texte que vous souhaitez trouver. Cette zone est automatiquement remplie avec le texte sélectionné en cours, ou le mot sous le curseur, ou le dernier modèle de recherche, lorsque la boîte de dialogue Rechercher est ouverte. La liste déroulante contient des éléments de recherche antérieure.

    Les options suivantes vont limiter la recherche:
  • Mot entier uniquement : la recherche n'aboutit que si le texte recherché constitue un mot complet (par exemple : si la chaîne trouvée est bornée par des blancs ou des caractères de ponctuation).
  • Respecter la casse : la chaine recherchée le sera à la majuscule /minuscule près. Si cette option est désactivée, la recherche est insensible à la casse.
  • Boucler continue en haut du fichier lorsque la recherche rencontre la fin de fichier, quel que soit l'emplacement initial du curseur.
    Le mode de recherche détermine la façon dont la requête sera traitée :
  • En Mode Normal , le texte sera recherché littéralement.
  • En Mode étendu , des séquences de caractères spéciaux seront interprétées. Dans ce cas, vous pouvez choisir entre :
    • \\ - Barre oblique inverse;
    • \t - caractère de tabulation;
    • \r - caractère CR;
    • \n - caractère LF;
    • \0 - caractère NULL;
    • \x## - Valeur hexadécimale (entre 00 et FF);
    • \u#### - valeur hexadécimale étendue entre 0000 et FFFF, signifiait pour les caractères Unicode);
    • \d### - valeur Décimal (entre 000 et 255);
    • \o### - valeur octal (entre 000 et 377);
    • \b######## - Valeur binaire (entre 00000000 et 11111111).
  • Dans une expression régulière , la requête sera traitée comme une expression régulière. Notepad++ utilise la syntaxe PDRE, qui est un standard bien établi. Vous trouverez ici une documentation complète. Cette page fournit quelques exemples simples (ces deux documents sont en anglais).

Dans la liste ci-dessus, # signifie «un chiffre». Selon le cas, «chiffre» peut avoir un sens différent: par exemple, en binaire, 0 et 1 sont les seuls chiffres.

Le sens de la recherche détermine dans quelle direction, par rapport au curseur, la recherche sera effectuée. Haut signifie que c'est le texte avant le curseur qui sera analysé, bas signifie que c'est le texte après le curseur qui sera analysé.

Normalement, lors d'un Find, le texte trouvé est sélectionné. Une difficulté, n mode Expressions rrégulières, est que le texte trouvé peut être de longueur nulle, par exemple quand on recherche "^". Dans ce cas, une infobule montr la position de la chaîne vide résultat.

Pour trouver l'occurrence suivante dans le sens de la recherche, appuyez sur Suivant (ou Enter). Compter compte le nombre d'occurrences de la recherche, Trouver tous dans tous les documents ouverts va lancer la recherche sur tous les documents ouverts et affiche une liste de résultats pour chaque fichier, voir aussi la recherche dans les fichiers. Trouver tous dans les documents actuels se comporte d'une manière très similaire.

Fermer ferme la boîte de dialogue de recherche (bouton de fermeture et l' Echap font la même chose).

Localisation de caractères

Une des utilisations possibles de la fonction de recherche est de repérer les occurrences de certains types de caractères dans un document, par exemple des letres accentuées qu'il vous faut convertir en entités HTML. Ceci peut se faire via la boîte de dialogue Rechercher -> Trouver des caractères d'une plage.... Ce dialogue vous permet de Trouver le prochain ou précédent cractère faisant partie de la plage ASCII (0..127), non ASCII (128..255) ou d'une dont vous spécifiez les limites - les valeurs supérieures à 255 ne sont pas correctement interprétées. La recherche peut Boucler à votre demande.


Remplacement

La boîte de dialogue Remplacer est un complément à la boîte de dialogue Rechercher. Les mêmes règles sont en vigueur, mais en plus, vous remplacez le texte trouvé par un autre texte; un texte peut être remplacé par la chaîne vide pour être éliminé.

Le changement le plus important est qu'une nouvelle case à cocher Dans sélection s'applique à l'opération Remplacer tout qui remplacera toutes les occurrences de la recherche avec le texte de remplacement. Remplacer dans tous les documents ouverts effectuera un Remplacer sur tous les documents qui sont actuellement ouverts dans Notepad++.

Pour effectuer un remplacement dans tous les fichiers d'un répertoire, voir Rechercher dans les fichiers.


Recherche dans les fichiers

La boîte de dialogue Rechercher dans les fichiers effectue la recherche, sur le filtre donné, sur tous les fichiers répondant à ce critère.

Les filtres d'entrée filtrent sur le nom et l'extension; une liste déroulante rappelle les filtres précédents. Les extensions sont séparées par des espaces, si ^musieurs sont fournies.

Le champ Répertoire vous permettra d'indiquer le répertoire racine de la recherche qui, par défaut, est le répertoire du fichier actif (pour plus d'informations, voir Préférences).

Quels que soient la recherche et le filtre de répertoire conforme au document , on peut forcer la recherche sur le fichier en cours par la sélection la case Suivre le doc. actif

Lorsque Sous-dossiers est cochée, tous les sous-répertoires sont parcourus dans la recherche de résultats. Lorsque dossiers cachés est cochée, tous les sous-répertoires cachés seront également inspectés (par défaut, ils seront ignorés). Trouvez tous va lancer la recherche, Remplacer tous va exécuter le remplacement.

Les résultats sont affichés dans la fenêtre des résultats de la recherche.


Fenêtre de résultat de la recherche

Les résultats des recherches qui renvoient plusieurs occurrences sont affichées dans une fenêtre ancrable (voir Fenêtre ancrable pour plus d'informations). Les résultats sont triés par fichier et par ligne de réponse, qui peuvent être repliés pour chaque fichier , en double-cliquant le nom du fichier (voir aussi Indentation: Pliage / dépliage ).

    Voici les commandes qui utilisent cette fonctionnalité :
  • rechercher dans tous les documents ouverts dans boîte de dialogue Rechercher
  • dialogue Rechercher
  • rechercher dans des fichiers dans rechercher dans les fichiers

Les résultats de cette « fenêtre Résultats » peuvent être supprimés en utilisant la touche DEL, par ligne, par dossier ou par recherches effectuées. Ces lignes peuvent être manipulées en utilisant le menu contextuel par clic droit. En outre, le texte de la fenêtre peut être copié pour traitement ultérieur. Double-clic sur un résultat ouvrira le fichier et à la ligne citée. Utilisation de Ouvrir Tout ouvre tous les fichiers ayant une réponse dans les recherches affichées.

Recherche -> Fenêtre résultats de recherche montre cette fenêtre si elle est cachée et non vide, et permet de basculer le focus entre elle et la fenêtre principales de Notepad++. Lorsque la fenêtre n'est pas affichée, Recherche -> résultat de recherche Suivant et Recherche -> Fenêtre de recherche précédente permettent de naviguer parmi les résultats.

La couleurs des résultats dépend de leurs types. Voir Configurateur de coloration syntaxique pour obtenir les renseignements sur la façon de changer les couleurs.


Recherche sans dialogue

Recherche sans boîte de dialogue

Poursuite de recherche

Après une recherche dans un fichier, vous pouvez sélectionner Rechercher-> Rechercher le suivant ou Rechercher-> Rechercher le précédent pour refaire cette recherche. Cela vous permet d'effectuer rapidement la même recherche à plusieurs reprises sans avoir besoin d'aucune autre manipulation. Le raccourci clavier est particulièrement pratique à utiliser.

De même, vous pouvez utiliser la Recherche-> Sélection et recherche Suivante ou de recherche -> Sélection et recherche Précédente pour naviguer dans les résultats affichés sur la fenêtre de résultat de la recherche.

Recherche volatile

    Une recherche volatile consiste à rechercher un mot sous le curseur sans avoir à ouvrir la boîte de dialogue de recherche. Cela a deux avantages:
  • Rechercher -> Rechercher volatile Suivant ou Rechercher -> Rechercher volatile Précédente rechercher la prochaine / précédente occurrence du texte sélectionné, sans affecter les recherches en cours.
  • Recherche -> Sélectionne et recherche le Suivant ou Recherche -> Sélectionner et recherche Précédent trouve l'occurrence précédente / prochaine occurrence du mot sous le curseur, et mémorise cette recherche afin que la recherche se poursuive sur ce même mot.


La recherche incrémentale

Recherche incrémentielle

Pour ouvrir la boîte de dialogue Recherche incrémentielle, sélectionnez Recherche -> Recherche incrémentielle . C'est un moyen rapide de trouver la première occurrence de texte, puis trouver tous les résultats consécutifs.

  • Vous pouvez colorer toutes les occurrences par l'options Highlight All . La couleur peut être ajustée en utilisant le Configurateur de coloration syntaxique.
  • Si aucun texte n'est trouvé, la zone de texte est colorée en fond de couleur rose - comme la recherche des navigateurs Web.
  • L'option Match Case permet de rechercher sans tenir compte de la casse.
  • Les boutons suivants effectue les déplacements : > pour la prochaine occurrence, < pour la précédente.

Enfin, le bouton X ferme la boîte de dialogue Recherche incrémentielle.


Aller à la boîte de dialogue

Boîte de dialogue : Aller à ...

Pour accéder à un certain emplacement dans le fichier, ouvrez la boîte de dialogue « Aller à la ligne » en sélectionnant Rechercher -> Aller à la ligne ou en double cliquant sur la section emplacement de la barre d'état. Vous pouvez aller à une certaine ligne dans le fichier. Le bouton Zy Va! déplacera le curseur si l'endroit spécifié est valide, le bouton je vais nulle part annule l'opération.

En choisissant l'option position, vous pouvez atteindre un caractère par sa position absolue.

Dans tous les cas, la valeur maximale permise est indiquée.


Accolades correspondantes

Accolades appariées

Notepad++ peut effectuer des recherches par couple d'accolades / parenthèses. En plaçant le curseur sur une accolade / parenthèse, la mise en évidences de l'accolades / parenthèse inverse est automatiquement activée (voir Configurateur de coloration syntaxique ). Vous pouvez déplacer le curseur à l'accolade en sélectionnant Rechercher -> Aller au délimiteur symétrique .


Signets

Un signet est un marqueur spécial que l'on place seulement sur une ligne, dans la marge. Avec ceci, vous pouvez rechercher facilement les lignes et effectuer certaines opérations dessus.

Ajout / Suppression de signets:

Vous pouvez ajouter ou retirer un signet sur une ligne en cliquant sur la marge de signet en face de la ligne, ou en sélectionnant Rechercher -> Signets -> Afficher / Masquer un signet .

Pour supprimer toutes les signets

Sélectionnez Recherche-> Signets -> AEffacer tous les signets.

Naviguer parmi les signets:

Pour déplacer le curseur vers la ligne suivante contenant un signet, sélectionnez Rechercher -> Signets -> Signet suivant , pour aller à la ligne précédente contenant un signet, sélectionnez Rechercher ->Signets -> Signet précédent .

Modification des lignes à signet:

    Vous pouvez appliquer une opération sur toutes les lignes marquées :
  • Pour couper chaque ligne à signet, sélectionnez Rechercher ->Signets -> Couper Lignes favoris . Chaque ligne sera coupée dans le fichier et ajoutée au presse-papier, afin de pouvoir être collés tous ensemble.
  • Pour copier, sélectionnez Rechercher->Signets -> -> Copier Lignes marquées à la place.
  • Pour remplacer chaque ligne signet avec le contenu du presse-papier, sélectionnez Rechercher ->Signets -> Coller pour Remplacer lignes marquées.
  • Pour supprimer toutes les lignes à signet / sans signet, sélectionnez Rechercher -> Signets -> Supprimer les lignes marquées ou ... non marquées, respectivement.
  • On peut enfininveser le marquage de toutes les lignes par Inverser les signets.

L'option de suppression vous permet d'effectuer une recherche les premières lignes, de les marquer avec un signet en utilisant la recherche puis de retirez toutes celles fondées sur un certain critère.

Signets sur tous les résultats de recherche

L'onglet Marquer de la boîte de dialogue Cherchr / Remplacer permet de placer un signet sur chaque ligne portant un résultat d'une recherche, en utilisant le bouton Rechercher tout. Les contrôles sous le champ Rechercher fournissent des options pour ce faire:

  • Marquer les lignes ajoute un signet à chque ligne comportant une occurrence. Voir également Texte Marqué.
  • Effacer à chaque recherche effacera tous les signets et surlignements avant une nouvelle recherche. Si l'option est décochée, les signets issus de diverses recherches s'accumuleront.
  • Sélection seulement ne surligne ou ne place un signet que dans le texte sélectionné.

En outre, le bouton Tout Effacer supprime tous les signets et surlignages.


Outils de recherche

Raccourcis pour le menu de recherche

Raccourcis par défaut

Voici ci-dessous la liste des raccourcis clavier prédéfinis et les raccourcis souris pour Notepad++. Ils peuvent être librement configurés à l'aide du Raccourcis clavier..., ainsi que toutes les commandes qui ne sont pas liées directement à des raccourcis par défaut. Cette liste ne comprend pas les raccourcis standard fourni par les plugins de Notepad++.

menu Rechercher
Raccourci | Action
Ctrl-F | Lancement du dialogue Rechercher
Ctrl-H | Lancement du dialogue Remplacer
F3 | Rechercher le suivant
Shift-F3 | Rechercher le précédent
Ctrl-Shift-F | Rechercher dans les fichiers
F7 | Passer à la fenêtre des résultats de recherche
Ctrl-Alt-F3 | Recherche volatile suivante
Ctrl-Alt-Shift-F3 | Recherche volatile précédente
Ctrl-F3 | Sélectionner et trouver le suivant
Ctrl-Shift-F3 | Sélectionner et trouver le précédent
F4 | Résultat suivant
Shift-F4 | Résultat précédent
Ctrl-Maj-I | Recherche incrémentielle
Ctrl-n | Occurrence suivante du style N (N est de 1 à 5, ou 0 pour style par défaut )
Ctrl-Shift-N | Occurrence précédente du style N(N est de 1 à 5, ou 0 pour style par défaut )
Ctrl-F2 | Basculer le signet
F2 | Aller au signet suivant
Shift-F2 | Aller au signet précédent
Ctrl-B | Aller au Délimiteur Symétrique (disponible si le curseur est sur un délimiteur)
Ctrl-Alt-B | Tout sélectionner entre Délimiteurs Symétriques (disponible si le curseur est sur un délimiteur)


Affichage

Les sujetssuivants contrôlent l'apparence du texte à l'écran.
Modes d'affichage
Les caractères non imprimables
Saut à la ligne Automatique
Zoom
Indentation : Pliage / dépliage
Cacher des Lignes
Vue multiple
Barre d'état système
De droite à gauche (RTL)
Les raccourcis du menu Affichage


Texte surligné

Surlignage de texte arbitraire

Lorsque du texte est sélectionné, l'utilisation de Rehcercher>Tout marquer->Appliquer le style xxx, où xxx vaut 1, 2, 3, 4 ou 5, surlignera toutes les ses occurrences du document actif.

Surlignage des résultats de recherche

Le marquage des réssultats de recherche se fait via l'onglet Marquer du dialogue Chercher/Remplacer. A cet effet, assurez-vous que l'option Marquer les lignes n'est pas cochée quand vous appuyez sur Rechecher tout. Les contrôles concernant ce sujet sont décrits dans Signets.

Lorsque le coloriage automatique est actif, la même recherche se fait implicitement sur la sélection (ou le mot sous l curseur si rien n'est sélectionné) à chaque modification de la séletion.

Dans les deux, c'est le Style de recherche qui est utilisé pour surligner les occurrences.

Configuration

Vous pouvez utiliser le Configurateur de colorisation syntaxique pour changer la couleur de n'importe lequel de ces styles, qu'il soit général ou lié à la recherche.

Autres commandes de surlignage

Vous pouvez vous déplacer au sein du texte surligné au moyen de Aller vers le haut ou Aller vers le bas>. Ces sous-menus permettent d'atteindre la zone précédente / suivante à être surlignée de l'un des 5 styles généraux ou du style de recherche.

Pour procéder au démarquage pour un certain style de 1 à 5, choisir Rechercher->Enlever tout->Retirer le style xxx. On ne peut enlever le style de recherche que par le bouton Effacer tous les styles du dialogue Rechercher / remplacer. On peut également suprimer tous les effets de style par Rechercher->Tout démarquer->Enlever tous les styles.


Modes d'affichage

Notepad++ est une application Windows, et sa fenêtre peut donc être agrandie, restaurée ou minimisés (vers la barre d'état système) en tant que telle. Il dispose de deux moyens supplémentaires pour l'utiliser une surface d'affichage la plus grande possible.

En utilisant Affichage -> Afficher / Masquer le mode plein écran , le titre, la barre de menu, la barre d'état, ainsi que la barre d'outils, sont cachés, et le texte peut occuper une portion supplémentaire de l'écran, ne laissant que la barre d'onglets encore visible au sommet. L'utilisation de Affichage -> Post-It , également en utilisation « bascule », supprime l'affichage de la barre d'onglets pour agrandir la vision en mode horizontal. L'espace gagné reste incorporé dans la taille de la fenêtre de Notepad++.

Combiné avec Affichage -> Toujours au premier plan , ils contribuent à rendre l'affichage du texte aussi facile et flexible qu'on pourrait le souhaiter.

Un autre point de vue sur le texte consiste à le voir en résumé, ou en vue aérienne. Cela est possible via le menu span class="menu_item">Affichage -> Vue aérienne. La fenêtre ancrable que cette entrée de menu montre ou cache affiche l'ensemble de votre document, pour le balayer en un clin d'œil et vous y déplacer rapidement. Un clic dans cette vue affichera immédiatement dans l'éditeur actif la page correspondante du document actif; l'étendue de cette page est rendue avec une légère mise en relief dans la vue aérienne.

La mise en surbrillance translucide permet de mieux percevoir la structure du texte, parce que la coloration syntaxique demeure visible.

Note importante: cette fonctionnalité n'est disponible que sur les versions Unicode de Notepad++.


Caractères non imprimables

Vous pouvez activer le mode d'affichage des caractères non imprimables, tels que les espaces et les tabulations, mais aussi les caractères de fin de ligne (comme CR et LF).

Pour afficher des caractères d'espace et de tabulation, sélectionnez Affichage -> Symboles spéciaux -> Afficher les espaces et TAB. Des repères visuels seront ajoutés au document là où les caractères sont situés. La couleur peut être réglée en utilisant le Configurateur de coloration syntaxique.

Pour afficher les caractères Fin de ligne, sélectionnez Affichage -> Symbole spéciaux -> Afficher la fin de ligne . Les caractères de Fin de ligne seront affichés dans des boîtes à la fin de chaque ligne, mais cela ne change pas le comportement d'édition.

Pour afficher les caractères de Fin de ligne et les espaces en même temps, sélectionnez Affichage -> Symbole spéciaux -> Afficher tous les caractères .

Pour taper un caractère non imprimable, vous pouvez utiliser la méthode standard du Alt-nnn. Mais le Panneau des Caractères est une alternative pratique - voir Panneau des Caractères.


Retour à la ligne automatique

Le retour à la ligne automatique permet de montrer sur les lignes suivantes la suite d'une ligne trop longue pour être ivvisible en entier à l'écran sans insérer physiquemnt de caractère saut de ligne dans le texte.

Pour activer le retour à la ligne, sélectionnez Affichage -> Retour à la ligne automatique ou appuyez sur [image] .

Pour mettre un repère visuel là où une ligne est coupée automatiquement, sélectionnez Affichage -> Symbole spéciaux -> Afficher les marques de coupure ligne . Pour signaler les lignes qui pourraient être affichées sur plusieuurs lignes décran, et configurer le type d'iindicateur, utilisez Préférences et Configurateur de coloration syntaxique .

Si vous souhaitez un simple renvoi à la ligne, son indentation est réglable dans l'onglet Zones d'édition des Paramétrages.


Utilisation du Zoom

    Scintilla permet de zoomer en « avant / arrière » sur le texte actuel, sans modifier les propriétés de la police. Cela permet un contrôle rapide ou une vue plus claire du texte (ou les deux, voir la capture d'écran et Vue Multiple):
  • Pour effectuer un zoom, sélectionnez Affichage -> Zoom -> Zoom Avant , appuyez sur l'icône [image] ou appuyer sur la touche Ctrl et faites défiler la molette de la souris vers l'avant.
  • Pour effectuer un zoom arrière, sélectionnez Affichage -> Zoom -> Zoom arrière , appuyez sur l'icone [image] ou appuyer sur la touche Ctrl et faites défiler la molette de la souris vers l'arrière.
  • Pour restaurer le zoom d'origine (100%), sélectionnez Affichage -> Zoom -> Restaurer Zoom .


Pliage / dépliage de texte

Notepad++ prend en charge le pliage / dépliage pour vos documents texte. Cela signifie que certaines lignes de votre texte peuvent être cachées sous la forme de marques dans la marge. Cela fonctionne bien pour des langages structurés tels que C++ ou XML. Des blocs de texte sont hiérarchiquement liés entre eux et une fois repliés (on dit ausi escamotés), seule la première ligne en demeure visible - s'ils ne sont pas à l'intérieur d'un bloc parent replié. Ce dispositif est efficace pour jeter un rapide coup d'œil à votre document et ne montrer que la partie intéressante du document. Déplier le texte l'affiche de nouveau en entier.

Vous pouvez reconnaître le texte qui peut être plié en regardant la marge sur la gauche. Cette marge affiche des icônes et des lignes pour indiquer la structure du texte (l'apparence dans la marge peut se changer, voir Configurateur de coloration syntaxique et Préférences ). L'analyseur lexical courant détermine la structure (voir langages ). Par défaut, les blocs sont représentés par des carrés et des lignes pour indiquer la structure des plis. Un nœud portant un signe moins ( [image]) indique que le texte peut être replié. Inversement, un nœud avec un signe plus ( [image]) indique que le texte peut être déplié. Un texte escamoté est de plus indiqué par une ligne horizontale au dessus de la première ligne du texte replié, qui restera toujours visible. Les lignes en marge délimitent les lignes de texte repliables. Les lignes verticales ( [image] ) qui indiquent les groupes de lignes escamotables ensemble se terminent par une petite ligne horizontale ( [image]) ou par une boîte.

    Il ya plusieurs façons de plier du texte.
  • Le principal moyen est de cliquer avec le bouton gauche de la souris sur une case avec un signe moins. Cela replie tout le texte qui se trouve dans ce groupe.
  • Même chose avec appui sur la touche Ctrl pour replier le groupe, mais aussi tous les sous-groupes à l'intérieur. Cela signifie concrètement que lorsque vous ouvrirez ce groupe, tous les sous-groupes seront encore repliés.
  • En utilisant le menu: Affichage -> Replier tous repliera chaque groupe dans le document, minimisant le plus de texte possible. Affichage -> Replier le niveau actuel n'escamote que le groupe actuel (le groupe qui contient la ligne courante, n'importe où dans le groupe). Ceci ne repliera pas les sous-groupes. Affichage -> Replier le niveau ... va escamoter le niveau sélectionné (de 1 à 8). Cela replie les groupes à un niveau particulier, mais pas tout les sous-groupes. Vous pouvez utiliser cette option pour afficher votre texte avec un « niveau de détail » donné.
    Pour déplier le texte plié, appliquez l'une des actions suivantes:
  • Cliquez sur la case avec le signe plus dans la marge des plis, affichant le contenu de ce groupe.
  • Cliquez sur la case avec le signe plus avec la touche Maj ou Ctrl enfoncée. Cela permettra de déplier le groupe et les sous-groupes plié.
  • En utilisant le menu: Affichage -> Déplier Tous dépliera chaque (sous-)groupe dans le document, ce qui rend visible le maximum de texte. Affichage -> Déplier niveau actuel ne développera que le groupe actuel (le groupe qui contient la ligne courante). Cela ne dépliera pas tous les sous-groupes. Affichage -> Déplier niveau ... rendra visible tout groupe d'un certain niveau ainsi que leurs ancètres.

Notez également que si un changement intervient dans le texte replié, il se déploie automatiquement pour afficher le texte.

Le bloc escamotable contenant la ligne active est mis en relief dans la marge. Vous pouvez changer la coueur spécifique utilisée à l'aide du Configurateur de Coloration Syntaxique en y modifiant le style Global style, Fold active.

Poir finir, signalons que les sessions mémorisent les points d'escamotage et leur état. Cela permet de s'arrêter de travailler sur un document avec des plis, et de le retrouver dans le même état en le rouvrant.


Cacher les lignes

Vous pouvez masquer les lignes par escamotage, mais aussi par blocs librement définis. Pour ce faire, sélectionnez les lignes à cacher (toutes sauf la première et dernière ligne) et sélectionnez Affichage -> Cacher les lignes . Les lignes sélectionnées seront cachées et, dans la marge des signets, deux icônes apparaitront ( [image] indiquant le début et [image] la fin de la section cachée) Cliquer sur n'importe laquelle de ces deux icônes affiche à nouveau les lignes.


Vues Multiples

Vous pouvez activer une fenêtre d'édition secondaire dans Notepad++ pour être en mesure d'afficher deux fois le même document (voire deux documents différents). Si vous utilisez cette possibilité avec le même document, vous pouvez rapidement comparer les documents ou faire des changements à deux endroits en même temps sans avoir à faire défiler ou à poser des signets. Pour utiliser l'option de Vue Multiple, activer le document que vous souhaitez afficher dans l'autre vue.

    Ensuite, vous avez deux options :
  • Sélectionnez Affichage -> Déplacer / Cloner le document actif -> Déplacer vers l'autre vue , cela va déplacer le document vers l'autre vue, et le fermer dans la première vue.
  • Sélectionnez Affichage -> Déplacer / Cloner le document actif -> Cloner vers l'autre vue , ce sera le clone du document qui pparaîtra dans l'autre vue, en liant les deux visions. Tout changement dans le premier document sera automatiquement transmis au second et vice versa.

Vous pouvez également accéder à ces commandes par un clic droit sur l'onglet d'un document et en sélectionnant la commande dans le menu contextuel. Notez que ces options sont également disponibles en faisant glisser un onglet dans un champ d'édition, avec la touche Ctrl enfoncée pour le clonage et non enfoncée pour un déplacement.

Une fois que vous avez votre Vue Multiple activée, vous pouvez contrôler sa mise en page. Vous pouvez faire glisser le séparateur en utilisant votre souris, ou cliquez sur les petites flèches en haut et en bas complète le déplacement vers la gauche ou la droite. Un clic droit sur le diviseur affiche un menu contextuel vous permettant de faire pivoter la disposition d'un quart de tour.

Bien que vous puissiez afficher deux documents en même temps, un seul peut être actif (avoir le focus). Vous pouvez déterminer la vue active par la barre d'onglets si vous avez activé les lignes colorées des onglets (voir la barre d'onglets du menu Préférences ). Par défaut, l'onglet actif de la vue active porte une barre de couleur distincte de celle de l'autre onglet «actif». En outre, seule la vue active peut avoir le point d'insertion. Vous pouvez changer la vue active en Sélectionnant -> Focus sur l'autre vue .

La vue active détermine Si vous avez le même document ouvert dans deux vue, ils partagent certaines propriétés, mais certaines d'entres elles peuvent être modifiées indépendamment:

  • Plier / Déplier (mais pas cacher la ligne).
  • Niveau de zoom;
  • La position de défilement;
  • La position du curseur;
  • Le mode RTL.

Si vous ouvrez un nouveau document ou fichier, il se fera dans la vue actuellement active. En outre, la fermeture, y compris par déplacement du dernir onglet, du dernier document d'une vue fermera cette vue.

Pour faciliter la comparaison de deux documents, vous pouvez activer le verrouillage du défilement en mode vue Multiple. Si ce verrouillage est activé, le défilement d'une vue fera défiler automatiquement l'autre. Le verrou va tenter de garder la position actuelle. Cela signifie que si un point de vue défile 5 lignes plus bas que l'autre, le défilement vertical verrouillera cette distance à moins que cela ne soit pas possible. Dès qu'il le pourra, il retrouvera le bon décalage.

Pour permettre le verrouillage du défilement horizontal, sélectionnez Affichage ->Synchroniser défilement horizontal ou appuyez sur le bouton [image]. Pour verrouiller le défilement vertical, sélectionnez Affichage -> Synchroniser Défilement vertical ou appuyez sur le bouton [image].


Barre d'état Système

La barre d'état système (la zone de notification supplémentaire), est la zone sur la droite ou en bas de la barre des tâches de Windows © qui montre de petites icônes liées aux programmes en cours d'exécution. Souvent, un double-click sur l'icône met la tâche correspondante au premier plan, ou propose un menu lié à l'application. La plupart du temps, un clic droit sur une telle icône montre un menu des commandes fréquemment utilisées.

    Vous pouvez envoyer toute fenêtre de Notepad++ vers la barre d'état système:
  • au démarrage, à l'aide du commutateur de ligne de commande
    • -systray
  • En utilisant le bouton de réduction, si vous avez activé ce comportement via la boîte de dialogue Préférences .

Si vous essayez de minimiser une instance de Notepad++ vers la barre d'état système , les autres instance seront toujours minimisés de façon standard, de sorte que le bouton reste sur la barre des tâches.


RTL (lecture de droite à gauche)

De droite à gauche (RTL)

Notepad++ permet aussi bien l'écriture de gauche à droite (LTR) que de droite à gauche (RTL). L'interface utilisateur détermine la mise en page en utilisant le fichier de traduction (si le fichier contient le paramètre RTL="yes"" pour l'élément "Native-Langue", pour une lecture de droite à gauche RTL, sinon ce sera la lecture de gauche à droite (LTR).

Chaque vue peut également régler indépendamment le mode LTR ou RTL, il suffit de sélectionner Affichage -> texte de Gauche à droite pour afficher du texte LTR et Affichag -> Texte Droite à Gauche pour afficher du texte RTL . Notez que Scintilla a actuellement des problèmes avec l'affichage du texte mixte RTL / LTR .


Raccourcis d'affichage

Raccourcis pour le menu Affichage

Raccourcis par défaut

Voici ci-dessous la liste des touches prédéfinies et les raccourcis souris pour Notepad++. Ils peuvent être entièrement configurés à l'aide du mappeur de raccourci, ainsi que toutes les commandes qui ne sont pas liés à des raccourcis par défaut. Cette liste ne comprend pas les raccourcis standard fourni par des plugins de Notepad++.

Menu Affichage
Raccourci | Action
Ctrl-(pavé Numérique - / +) | ou bouton de la roulette de la souris Ctrl + (le cas échéant) Zoom (+ ou vers le haut) et Zoom arrière (- ou vers le bas)
Ctrl-pavé numérique / | Restaurer la taille originale de zoom
F11 | Mode plein écran Basculer
F12 | Post-It (Mode bascule)
Ctrl-Alt-F | Escamoter le niveau actuel
Ctrl-Alt-Shift-F | Déplier le niveau actuel
Alt-0 | Escamoter tous
Alt-(1 ~ 8) | Escamoter les niveaux (1 ~ 8)
Alt-Shift-0 | Déplier tous les plis
Alt-Shift-(1 ~ 8) | Déplier les niveaux (1 ~ 8)


Macros

Notepad++ est capable d'enregistrer certaines des actions que vous effectuez lors de l'édition d'un document, et de les rejouer plus tard pour éviter d'avoir à répéter ces séquences d'actions. C'est ce qu'on appelle une macro et peut faire économiser beaucoup de temps. Une macro peut être jouée une fois ou plusieurs fois, même aussi longtemps que nécessaire pour parcourir un document entier. Vous pouvez les enregistrer pour une utilisation ultérieure et leurs assigner des touches raccourci pour un accès rapide (voir Raccourcis Claviers... ). Les macros sont sensibles à la position actuelle du curseur et s'appuient dessus.

Pour enregistrer une macro, sélectionnez Macro -> Démarrer l'enregistrement ou appuyez sur le bouton [image] de la barre d'outils. Notepad++ va maintenant enregistrer les changements que vous apportez à un document et certaines autres actions que vous effectuez.

Pour arrêter l'enregistrement, sélectionnez Macro -> Arrêter l'enregistrement ou sélectionnez le [image] bouton sur la barre d'outils. Contrairement à la plupart des commandes, vous pouvez obtenir cet efet avec une combinaison spéciale de raccourci qui n'est pas répertoriée séparément dans le menu, mais uniquement dans le Raccourcis Claviers... (voir Paramètres) - par défaut, Ctrl-Shift-R.

Après l'arrêt de l'enregistrement, la macro sera placée dans une zone temporaire. Si vous n'avez pas effectué toutes les actions, ce tampon est effacé lors d'un nouvel enregistrement. Par contre, si vous commencez à enregistrer une autre macro sans sauvegarder votre travail plus tôt, il sera perdu.

Pour lire la macro dans la mémoire tampon, sélectionnez macro-> Lecture ou appuyez sur le bouton [image]. Ceci effectuera la macro une fois à la position actuelle.

Pour enregistrer la macro de la mémoire tampon, sélectionnez macro -> Enregistrer macro en cours ou appuyez sur le bouton [image]. Une boîte de dialogue apparaîtra et vous demandera un nom de la macro et la combinaison de touches associée. Ce raccourci peut ensuite être changé (et supprimé) en utilisant l'outil raccourcis clavier.... Une fois enregistrée, la macro sera disponible dans le menu Macro ou la liste des Macros.

Pour Exécuter la macro en cours dans le tampon ou une macro précédemment sauvegardée une fois ou plusieurs fois, sélectionnez Macro -> Exécuter une macro plusieurs fois ... ou appuyez sur le bouton [image]. Une boîte de dialogue s'affichera vous permettant de choisir la macro (macro en mémoire ou toute macro enregistrée) et combien de fois. Vous pouvez également opter pour exécuter la macro jusqu'à ce que le curseur atteigne la fin du fichier actuel (à partir de sa position actuelle). Notez que si aucune macro n'est disponible, cette boîte de dialogue est inaccessible.


Commandes

Exécuter...

Le menu Exécuter... vous permet d'exécuter des applications à partir de Notepad++, par exemple pour ouvrir votre fichier en cours dans un navigateur ou de le compiler avec un compilateur externe. Vous pouvez passer rune ligne de commande avec les évenuels paramètres du programme pour action sur l'état actuel de votre document.

Pour exécuter une nouvelle commande:

Exécution -> Exécuter... Une boîte de dialogue apparaîtra et vous demandera le chemin d'accès au programme et, éventuellement, des paramètres de ligne de commande. Vous pouvez utiliser Parcourir pour rechercher votre programme. La liste déroulante fournit les dernières saisiez de programmes à exécuter. Les arguments de la ligne de commande peuvent utiliser les paramètres du document en cours, et sont toujours enfermés dans $(...), avec comme valeurs possibles :
FULL_CURRENT_PATH
le chemin d'accès complet au document actif.
CURRENT_DIRECTORY
Le répertoire du document actuel réside en
FILE_NAME
Le nom de fichier du document, sans le répertoire.
NAME_PART
Le nom du fichier sans l'extension.
EXT_PART
L'extension du présent document.
NPP_DIRECTORY
Le répertoire qui contient l'instance de Notepad++.exe en cours d'exécution.
CURRENT_WORD
Le texte actuellement sélectionné dans le document.
CURRENT_LINE
Le numéro de ligne courant qui est sélectionné dans le document (la première ligne a le numéro 0).
CURRENT_COLUMN
La colonne actuelle du curseur (la première colonne a le numéro 0).

Par exemple,

 "$ (NPP_DIRECTORY) \ Notepad + +. Exe" multiInst-"$ (FULL_CURRENT_PATH)"
ouvrira une nouvelle instance de Notepad++ avec le fichier en cours. N'oubliez pas de mettre des guillemets autour des chemins au cas où les paramètres contiennent des espaces (pour le Notepad++ consultez les options de ligne de commande).

Pour exécuter une commande existante:

Dans le menu Exécution La liste de toutes les commandes est disponible, sans oublier celles que vous mémorisez.

Pour enregistrer une commande:

Dans le menu Exécution -> Exécuter ..., tapez la commande à enregistre puis appuyez sur Enregistrer .... Une boîte de dialogue apparaîtra et vous demandera un nom pour la commande, ainsi que la combinaison de touches associée.

Pour modifier ou supprimer une commande

Le Gestionnaire de Raccourcis affiche toutes les commandes disponibles de manière uniforme; vous pouvez par conséquent modifier tout raccourci existant, y compris ceux des commandes de Exécuter. On accède aussi à cette procédure par Exécuter -> Modifier un raccourci / Supprimer une commande. Comme le nom l'indique, ceci ne couvre pas la modification du texte même de la commande - vous devez pour cela éditer shortcuts.xml.


Raccourcis du menu Exécution

Raccourcis pour le menu Exécution

Raccourcis par défaut

Voici ci-dessous la liste des raccourcis clavier prédéfinis et les raccourcis souris pour Notepad++. Ils peuvent être librement configurés à l'aide de raccourcis Clavier..., ainsi que toutes les commandes qui ne sont pas liées à des raccourcis par défaut. Cette liste ne comprend pas les raccourcis standard fournis par les plugins de Notepad++.

menu Exécuter
Raccourci | Action
F5 | Lancement de dialogue Exécuter
Alt-F1 | Obtenez l'aide de PHP
Alt-F2 | recherche Google
Alt-F3 | recherche Wikipedia
Alt-F5 | Ouvrir le fichier (nom sous le curseur)
Alt-F6 | Ouvrir le fichier dans une nouvelle instance (nom sous le curseur)
Ctrl-Alt-Shift-R | Ouvrir avec Chrome
Ctrl-Alt-Shift-X | Ouvrir avec Firefox
Ctrl-Alt-Shift-I | Ouvrir avec Internet Explorer
Ctrl-Alt-Shift-F | Ouvrir avec Safari
Ctrl-Alt-Shift-O | Envoyer via Outlook


Les dialogue Documents

Le dialogue Documents

Le menu Fenêtre vous permet de sélectionner un fichier à partir de la liste des 10 premiers documents ouverts dans la vue active (voir aussi Vue Multiple ). La sélection d'un document de la liste permet de l'activer :

Vous pouvez ouvrir la boîte de dialogue Documents en sélectionnant Documents -> Documents .... Elle vous permet de gérer tous les documents ouverts actuellement.

La boîte de dialogue Documents affiche une liste de tous les documents ouverts dans la vue active. Vous pouvez sélectionner un ou plusieurs documents dans la liste. Comme toute liste de contrôle Windows, sélectionner plusieurs en faisant glisser le pointeur de la souris ou en appuyant sur Ctrl ou Maj lors de la sélection ou utilisez les touches fléchées de votre clavier en maintenant éventuellement la touche Ctrl ou Shift enfoncée (si vous le faites, utilisez la touche la barre d'espace pour (dé)sélectionner).

Vous pouvez activer un document en cliquant sur le bouton Activer . Ceci fermera la boîte de dialogue.

Sélectionner une ou plusieurs lignes puis appuyer sur le bouton Enregistrer , va effectuer l'opération d'enregistrement, si possible, sur tous les documents sélectionnés; si un Enregistrer sous ... est nécessaire, rien ne se passera (voir Gestion des fichiers).

Sélectionner une ou plusieurs lignes puis appuyer sur le bouton Fermer la(es) fenêtre(s), fermera le(s) document(s). Si un document contient des modifications, il vous sera demandé si vous voulez les sauvegarder.

Pour trier les documents en utilisant la boîte de dialogue, d'abord trier la liste en sélectionnant l'un des titres de colonne en haut (le choix de tri s'inverse à chaque click sur la colonne ). Le tri sera effectif après appui sur le bouton Trier les onglets .

Cliquez sur OK pour fermer la boîte de dialogue.


Éléments d'interface graphique

La Fenêtre principale de Notepad++ se compose d'un certain nombre d'éléments d'interface graphique. Cette section va essayez de les passer en revue. Leur nom s'affiche sous forme d'info-bulle quand la souris survole les zones cliquables :

Barre d'onglets
Barre d'état
Barre d'outils
Menu
Menu contextuel
Fenêtre Ancrable

Menu Barre d'outils Barre d'onglets Barre d'état Menu Contextuel Fenêtre ancrable


Barre d'onglets

    Chaque vue d'un document possède son propre onglet (par défaut) . La barre d'onglets vous permet de choisir entre différents documents, afin de les organiser. Les options de configuration sont modifiables dans Préférences . La barre d'onglets affiche pour chaque fichier son nom et une petite icône indiquant l'état de ce fichier. Un disque bleu ( [image] ) signifie que le fichier n'est pas modifié (ou que c'est un nouveau document). Si le disque est rouge ( [image] ), cela signifie que le fichier a été modifié et que ces changements n'ont pas encore été enregistrés. Un disque gris ( [image] ) signifie que le fichier est marqué comme en lecture seule et ne peut être modifié (voir Lecture-seule ). Si plusieurs onglets sont visibles à l'écran, mais manquent de place:
  • Si vous n'avez pas activé le paramètre multi-ligne de la barre d'onglets dans Préférences , deux petites flèches apparaissent sur la droite, vous permettant de faire défiler les onglets pour trouver le bon. Et s'il ya un espace vide, un double clic dans cet espace permettra de créer un nouveau document.
  • Si vous l'avez activée, plusieurs lignes d'onglets seront visibles.

L'onglet actif est celui qui possède éventuellement une ligne de couleur (option activée par défaut). Si deux vues sont activés (voir Vue Multiple), l'onglet portant une ligne colorée est l'onglet qui sera actif en changeant de vue. Vous pouvez contrôler les couleurs de la barre d'onglets à l'aide du Configurateur de coloration syntaxique.

Vous pouvez ouvrir le menu contextuel de barre d'onglets en cliquant sur lebouton droit de la souris au dessus d'un onglet. Ce menu contextuel permet d'accéder rapidement à certaines commandes pour gérer vos fichiers, obtenir et définir les propriétés du fichier ou en déplaçant l'onglet vers d'autres vues ou fenêtres.


Barre d'état

    La barre d'état affiche des informations supplémentaires sur le document actif actuellement et est découpée en six sections.
  • La première section indique le langage actuel qui est sélectionné pour ce document (voir les langages ).
  • La deuxième section montre le nombre de caractères que le document contient. Ce n'est pas forcément la taille du fichier du document (à l'exception des documents ANSI, voir encodage / décodage pour plus de détails). Cette section contient aussi le nombre de lignes.

    Un double clic sur cette section affiche la boîte de dialogue des statistiques. qui affiche davantage d'information:

    • Chemin complet du document actif
    • Date de création
    • Date de dernière modification
    • Taille du document, en octets
    • Nombre de caractères du document, hors espaces
    • Nombre de caractères du document
    • Nombre de lignes
    • Nombre de mots
    • Taille de la selection (en caractères, octets and plages)
    Notez que les nombres de caractères et d'octets ne sont pas fonction l'un de l'autre in UTF-8 (see Encoding)
  • Après cela, vous trouverez des informations sur le curseur dans le document. Elle contient la ligne actuelle («Ln», la première ligne est la ligne 1), la colonne en cours (« Col », première position est 1), la longueur de la sélection à la fois en caractères et d'octets (voir encodage / décodage ). Le nombre de plages sélectionnées est également affiché. Si vous double-cliquez sur cette section, la boîte de dialogue Aller à la ligne apparaîtra. S'affichent également le nombre e caractères sélectionnés et le nombre de lignes de la sélection ('Sel', avec un séparateur vrtical). En cas de sélection multiple ou rectangulaire, 'N/A' est affiché.
  • La quatrième section montre le format de saut de ligne en cours (voir format saut de ligne ).
  • La cinquième section présente le codage des caractères en cours du document (voir encodage / décodage ).
  • La dernière et sixième section indique le statut actuel de la frappe pour la vue active: insertion = INS, remplacement = OVR (voir Mode Refrappe pour plus d'informations). En cliquant sur cette section, vous faites bascules le mode entre Insertion et Remplacement.


Barre d'outils

    La barre d'outils permet d'accéder rapidement à certaines commandes de menu (y compris ceux des Plugins une fois enregistrées). Si l'écran est plus petit que la largeur de la barre d'outils, certains de ses boutons sont cachés. Vous pouvez accéder à ces boutons en cliquant sur le chevron (la double flèche) sur la droite de la barre d'outils, un menu apparaîtra vous montrant les commandes masquées. Vous pouvez personnaliser la barre d'outils pour y utiliser des icônes différentes. Notepad++ prend en charge trois modes :
  • Icônes standard: c'est la valeur par défaut. Ces icônes sont petites et comprennent également les icônes des plugins .
  • Grangs icônes: montre des icônes plus grands, et peuvent être transformés en icônes personnalisées. Les boutons ont des images différentes lors de leur sélection.
  • Petites icônes: identiques au mode grandes icônes, mais à la taille de la barre d'icônes standard.
    • Pour choisir le mode à utiliser, voir Préférences.

    Pour charger des images personnalisées pour votre barre d'outils, vous avez besoin d'un fichier de configuration spécial et des images personnalisées. Pour apprendre à utiliser ces éléments, vous pouvez consulter le lien suivant pour information:
    http://sourceforge.net/apps/mediawiki/notepad-plus/index.php?title=Toolbar_Customisation


Menu

Le menu principal contient toutes les commandes que Notepad++ peut offrir (à l'exception de la plupart des commandes Scintilla, seulement accessibles par leurs touches de raccourci, voir Raccourcis clavier... pour plus de détails).

Chaque élément dans le menu (à quelques exceptions près), possède un raccourci clavier. Si tel est le cas, il sera affiché à côté du nom de la commande. Vous pouvez taper cette combinaison de touches au lieu de sélectionner la commande dans le menu pour un accès plus rapide. Pour modifier ces raccourcis, utilisez simplement Raccourcis clavier...


Menu contextuel

Le menu contextuel peut être atteint par clic droit n'importe où dans l'écran d'édition. Il permet d'accéder rapidement aux commandes fréquemment utilisées et il est configurable par l'utilisateur. Pour modifier le contenu du menu contextuel, vous devez éditer le fichier contextMenu.xml. Vous pouvez l'ouvrir comme n'importe quel autre fichier; toutefois, Paramétrage -> Edition du menu contextuel peut s'en charger. Nous vous renvoyons à NpWiki++ pour la syntaxe spécifique de ce fichier XML. Les commentaires à l'intérieur du fichier devraient également vous aider.


Fenêtres ancrables

Notepad++ prend en charge ce que l'on appelle une fenêtre ancrable. Elles font partie de l'interface graphique, mais vous pouvez les déplacer et choisir de les accrocher de chaque côté de la fenêtre principale (fenêtre ancrée), ou en mode flottant (fenêtre séparée). Pour modifier l'emplacement d'une fenêtre ancrable, cliquez sur la barre de titre et faites-la glisser autour de la fenêtre. Lorsque vous la faites glisser à proximité de n'importe quel bord de la fenêtre principale, un rectangle sera visible indiquant que la fenêtre sera ancrée là si vous la relâchez. Elle sera mise en fenêtre séparée si aucune marque de positionnement n'est atteinte.

Vous pouvez redimensionner les fenêtres flottantes comme toute autre fenêtre en faisant glisser ses bords, mais pour redimensionner une fenêtre ancrable vous devez faire glisser le bord qui est adjacent à la fenêtre principale. Il peut y avoir plusieurs fenêtres ancrables regroupées. Si tel est le cas, seule l'une des fenêtres est montrée, et les autres sont accessibles par une barre d'onglets en dessous de la fenêtre ancrée visible. La sélection d'un élément de la barre d'onglets permet de masquer la fenêtre visible, et d'afficher la fenêtre correspondante de la barre d'onglets. Vous pouvez reconnaître les fenêtres ancrables dans la barre d'onglets par leur icône.


Commutation entre les documents

Navigation entre les documents

Pour naviguer le plus facilement parmi les documents, la meilleur méthode est d'utiliser la barre d'onglets. Cependant, vous pouvez également utiliser le clavier ou la souris pour ce faire. Par défaut, vous pouvez passer au document suivant en appuyant sur Ctrl et en appuyant alors sur Tab pour parcourir un à un les onglets ouverts vers la droite. En appuyant aussi sur Shift on se déplace vers la gauche au lieu de la droite. Avec la souris, appuyez sur le bouton droit de la souris et utilisez la molette de défilement: vers le haut pour le document précédent, vers le bas pour le document suivant. L'ordre des documents dans la fenêtre est celui de la barre d'onglets. Voir barre d'onglets ou dialogue Fenêtres pour leur mode d'emploi.

Les documents seront par défaut sélectionnables de manière cyclique: après le dernier document, le premier sera sélectionné. Si deux vues sont visibles, le premier document du groupe sera sélectionné. La sélection cyclique marche aussi dans le sens inverse, sautant du document de début vers le document de fin dans la liste des onglets.

Voir aussi :
Commutateur de document
MRU - Fichiers Récents "Empilé"


Sélectionneur de Document ouvert

Le Commutateur de documents

Le commutateur de documents est une petite liste de fichiers affichée si dessous (pour l'activer, voir Préférences ) pour pouvoir organiser les documents, vous permettant de sélectionner un document ouvert pour en faire le document maître. La liste restera visible jusqu'à ce que vous relâchez la touche de modification qui a affiché la liste (touche Ctrl si vous utilisez la touche TAB ou sur le bouton droit de la souris si vous utilisez la molette de défilement) ou l'un des documents a été sélectionné en cliquant dessus avec la bouton gauche de la souris. Le document mis en évidence sera alors activé.

Notez bien que si vous affectez autre chose que (Ctrl-)Maj-TAB pour passer des documents, le sélecteur de document ne fonctionnera pas correctement lors de la commutation à l'aide du clavier. Dans ce cas, utiliser la souris ou désactiver l'option (depuis v5.4.3).

Il y a un autre outil pour vous aider à naviguer parmi les fichiers ouverts: le Changeur de Fichiers Vertical. Il s'agit d'une fenêtre ancrable où s'affichent les noms des onglets des deux vues; vue principale d'abord. Son affichage et commandé par Show dans l'encadré Paramétrages -> Préférences -> Général -> Document Switcher . . Vous pouvez y trier les noms d'onglet, mais cela va mélanger les noms des deux vues. L'ordre par défaut reviendra au redémarrage de Notepad++, à savoir: vue principale en haut, vue secondaire en bas, et ordre des onglets de gauche à droite dans chaque vue.

Pour atteindre rapidement le n-ième document de la bare d'onglets, avec n entre 1 et 9, il suffit d'utiliser Ctrl-PavéNumériquen

On peut masquer la colonne des extensions en cochant Masquer la colonne des extensions dans Préférences → Général


MRU (plus récemment utilisé)

Rangement de la liste des fichiers par ordre d'édition

Notepad++ peut fournir un comportement MRU pour la commutation entre les fichiers. MRU signifie que le fichier plus récemment utilisé est celui qui sera en haut de liste des "derniers fichiers utilisés". Cela rangera les fichiers utilisés le plus souvent du haut vers le bas. (Si vous êtes familier avec le Gestionnaire de tâches de Windows, le comportement est similaire). MRU est disponible uniquement lorsque le commutateur de document est activé.


Langages

Notepad++ permet de mettre en évidence des élémennts spécifiques de code source en fonction du langage dans lequel ils sont écrits. Ceci permet de mettre en relief certains mots et d'appliquer certaines aides visuelles spécifiques au langage. Par exemple, un langage peut définir certains mots-clef, qu'il peut être utile de mettre en relief au moyen d'une couleur ou d'une police différente. La langage détermine également le comportement de l'escamotage (voir pliage / dépliage) et la façon de traiter les Commentaires.

Notepad++ offre un grand nombre de langues qui peuvent être sélectionnés, et possède quelques méthodes pour ajouter vos propres informations comme on le verra. Par défaut Notepad++ va essayer de deviner le langage d'un document par l'extension du fichier (s'il s'agit d'un fichier existant) ou le réglage par défaut s'il s'agit d'un nouveau document (voir Préférences ). Pour sélectionner un autre langage, il suffit de le sélectionner dans le menu Langage . Le langage du document actif est visible dans la première section de la barre d'état (voir Barre de Statut). Par défaut, un langage peut avoir des mots-clef répartis en plusieurs catégories. Il détermine également les symboles utilisés pour les commentaires et les extensions de fichier qui lui sont associées par défaut. Vous pouvez compléter les mots-clé et la liste des extensions en utilisant le Configurateur de coloration syntaxique, il vous permet également de changer les couleurs et polices utilisées pour afficher le texte.

Si vous souhaitez définir votre propre langage, vous pouvez le faire par deux moyens. Le méthode la plus simple est d'utiliser Définir un nouveau langage , mais vous pouvez également créer vos propres Analyseur de syntaxe externe. C'est plus souple mais aussi beaucoup plus difficile à construire.


Langages prédéfinis

Travailler avec les langages

En standard, Notepad++ est livré avec une liste de plus de 50 parmi les langages les plus courants. Vous pouvez choisir les langages en utilisant le menu Langages et configurer leur style en utilisant le Configurateur de coloration syntaxique. Le plus souvent, le langage correct est sélectionné lors de l'ouverture d'un fichier en fonction de l'extension du fichier (comme c'est le cas pour les makefiles) mais vous pouvez toujours en choisir un autre. Lors de l'enregistrement d'une session, le langage choisi sera mémorisé, mais la fermeture et la réouverture du fichier re-déclenchera l'auto-détection. Vous pouvez changer les extensions qui sont associées à un langage en utilisant le Configurateur de coloration syntaxique. En plus, on peut ajouter des mots-clef personnalisés à la plupart des langages: quand on choisit une paire (langage, élément de style) adéquate, le Configurateur de coloration syntaxique propose une zone de texte où saisir les mots-clef supplémentaires, séparés par des espaces.

Certains langages gérés nativement, en particulier C/C++, découpent ls fichiers source en classes et fonctions. Le dispositif Liste de Fonctions, qui s'activate via Affichage → Liste de Fonctions, énumère les fonction et classes du document actif dans une fenêtre ancrable. La fenêtre comporte des boutons de tri et rafraîchissement. Pour accéder dans le fichier à un élément répertorié, il suffit de double cliquer dessus. Le dispositif s'applique à d'autres langages que C/C++; certains, tels PHP ou XML, sont déjà pris en charge. Pour étendre Liste de Fonctions à d'autres langages, il vous faudra éditer le fichier de configuration functionList.xml; pour de plus amples informations, veuillez cosulter la wiki. S'inspirer des éléments de configuration déjà présents est sans doute un bon point de départ.


langues définies par l'utilisateur

Langages définis par l'utilisateur

Cette fonctionnalité vous permet d'ajouter votre propre langage à Notepad++. Les pages de NpWiki++ sur les fichiers de définition de langage utilisateur contiennent des listes de tous les langages connus et permet de partager de nouvelles contributions sous forme de fichiers.

Notepad++ est initialement paramétré par le langage principal défini par l'utilisateur. Vous pouvez l'utiliser pour tester vos paramètres et puis plus tard créer un nouveau langage sur cette base. Il appartient à l'utilisateur de sauvegarder le langege utilisateur par défaut modifié: ses paramètres ne seront pas sauvegardés à la fermeture. "Les langage utilisateur" sont disponibles en bas du menu langages.

Pour en définir un, vous avez besoin du dialogue Définition de langage utilisateur, qui peut être consulté en sélectionnant Langage -> langage utilisateur ... ou en appuyant sur le bouton [image] .

La boîte de dialogue peut être flottante à l'ouverture comme tout dialogue standard, ou être inséré dans la fenêtre principale de Notepad++ . Il suffit de cliquer Dock / UnDock pour le faire. Si la boîte de dialogue est flottante, vous pouvez contrôler sa transparence. Cochez la case de transparence puis contrôlez la quantité en utilisant le curseur. Notez que la transparence n'est disponible qu'à partir de Windows 2000.

La boîte de dialogue affiche une liste déroulante de langages utilisateur définis pour le moment. Vous pouvez modifier leurs paramètres, ils seront automatiquement sauvegardées. Pour créer un langage utilisateur fondé sur le langage par défaut, cliquez sur le bouton Créer un nouveau ..., une boîte de dialogue apparaîtra et vous en demandera le nom. Pour créer un nouveau langage utilisateur sur la base du langue actuel, cliquez sur Enregistrer sous ... et entrez le nouveau nom. Si vous avez sélectionné un langage utilisateur, vous pouvez, si nécessaire, cliquer sur le bouton Renommer pour entrer un nouveau nom. Le bouton Supprimer permet de supprimer le langage actuel, qui ne doit pas être celui par défaut.

Si vous voulez que le langage utilisateur ignore la casse des mots-clef, activez la case à cocher Ignorer la casse . Pour créer un langage utilisateur, vous devez aussi définir les extensions de fichier à associer pour détection automatique de langage dans la zone de texte avec l'étiquette Ext . La plupart des paramètres ont un style de texte associé. Ils fonctionnent de la même manière que dans le Configurateur de coloration syntaxique.

Les autres aspects du langage sont divisés en quatre groupes de contrôles. Prenez le temps de lire le totoriel sur le site du développeur pour des exemples et détails supplémentaires uiles.

Style par défaut et pliage (onglet Bloc & défaut)

Le style par défaut contrôle le texte (texte qui n'a pas d'attributs spéciaux ou de marque) et les mots-clefs qui contrôlent l'escamotage, ainsi que quelques réglages plus fins de celui-ci. Un mot-clef dans le groupe Délimiteur de bloc ouvrant va créer un nouveau groupe qui peut être développé ou réduit. Un mot-clé dans le groupe Délimiteur d bloc fermant ferme le groupe dernièrement ouvert.

Mots-clé (onglet Mots-clés)

Cet onglet contrôle quels mots clé sont associés au langage. Vous pouvez définir jusqu'à huit groupes de mots-clé, chacune avec son propre style. Si vous activez l'option Préfixe pour un groupe, cela signifie que ces mots-clé peuvent être des préfixes de mots entiers, qui seront donc détectés même s'ils sont directements, et colorés en entier. Il est aussi possible de définir un mot-clef par une suite de plusieurs mots (comme "end if"). Veuilez vous référer au tutoriel pour de plus amples informations.

Commentaires / nombres (onglet Commentaires & Nombre)

Cet onglet contrôle le comportement et l'apparence des commentaires, et l'apparence des nombres. Vous pouvez définir des symboles qui repèrent les commentaires et les commentaires de ligne. Ces derniers commencent à partir du symbole lui-même et vont jusqu'à la fin de la ligne. Vous pouvez également définir les symboles de bloc de commentaires. Le symbole de début de commentaires commence le bloc jusqu'à ce que le symbole de fin de commentaire soit atteint.

On peut définir des styles internes aux commentaires. Non seulement cela permet, si vous prenez cete option, les commentaires imbriqués, mais aussi de marquer de leur style les mots-clef ou chaînes de caractères dans les commentaires.

A priori, les nommbres ne sont reconnus que s'ils commencent un mot ne comportant que des caractères entre 0 et 9, à moins qu'il ne suive la yntaxe standard des nombres en notation scientifique. Toutefois, les nombres peuvent être précédés ou suivis optionnellement, de certains caract_res (comme "0x", "€" et autres). On peut définir des caractères supplémentaires comme faisant partie des nombres avec préfixe. Ainsi, les lettres de 'a' à 'f' seraient indiquées comme chiffres hexadécimaux, de sorte que le nombre dans son entier soit colorisé correctement.. Des signes d'intervalle entre nombres peuvent aussi être définis.

Les opérateurs et les séparateurs (onglet Opérateurs)

Cet onglet contrôle quels sont les symboles opérateur et si ces symboles agissent comme des séparateurs. Les symboles opérateurs sont des caractères qui séparent deux mots. Ils se comportent comme des espaces, mais peuvent être présentées différemment. Certains langages utilisent des mots en tant qu'operateure, comme "and" au lieu de "&&". Le second groupe d'operateurs est prévu pour eux. Les deux types d'opérateurs sont colorisés de la même manière. Le tutoriel vous suggérera des usages innovants pour le second groupe.

Les délimiteurs sont des caractères uniques et généralement définie par paires. Le texte entre une paire de délimiteurs possède le style défini pour cette paire. Un bon exemple est une chaîne de caractères, qui est délimitée des deux côtés avec des guillemets et marquée d'une couleur spécifique uniforme. Dans de nombreux langages, une chaîne peut contenir le délimiteur de chaîne, qui est alors protégé par un caractère dit d'échappement qui déclare que ce caractère fait partie de la chaîne; vous pouvez aussi définir ce caractère d'échappement.

Stockage et exportation d'un nouveau langage :

    Les paramètres pour un langage défini par l'utilisateur spécifique sont stockés dans un fichier de configuration appelé userDefineLang.xml. Ceci est pratique lorsque vous avez défini un seul langage, ou lorsque vous souhaitez partager tous les langages que vous avez définis. Comme ce schéma est parfois à trop gros grain, vous pouvez également :
  • Importer un langage à partir d'un fichier externe, compatible avec Notepad++. Les modifications seront sauvegardées dans votre fichier pour tous les langages.
  • Exporter une langue individuelle dans un fichier .Xml.
    • Notez que le bouton Enregistrer sous ne crée pas de nouveau fichier. Il reproduit le langage courant sous un nouveau nom que vous fournissez. Exportation crée phisiquement un nouveau fichier. De même, créer un nouveau... crée un nouveau langage avec tous des attributs réinitialisés et portant le nom que vous fournissez.

Attention!!!! Si vous importez un langage que vous avez déjà, vous obtiendrez des entrées en double dans la liste des langages et dans le menu Langages.


Analyseurs lexicaux externes

Les Analyseurs lexicaux extérieurs sont intégrés comme dans les langages, mais sont fournis par le biais d'un plugin (voir Plugins pour plus de détails). Cela permet à l'utilisateur d'ajouter une coloration syntaxique puissante et l'escamotage, mais la création en est beaucoup plus complexe. L'installation est la même que pour un plugins standard, et vous pourrez les sélectionner dans le menu langages , ils seront regroupés en bas de liste.


Paramètres

    Cette option contrôle de nombreux aspects de Notepad++. Ils sont divisés en trois groupes principaux :
  • L'option Raccourci clavier ... est une liste regroupant tous les raccourcis clavier utilisés dans Notepad++.
  • L'outil Configurateur de coloration syntaxique permet de changer l'aspect visuel de tout ce qui a une couleur ou une police.
  • La boîte de dialogue Préférences gère tout le reste.

Il existe divers aspects de Notepad++ qui ne sont pas configurables, mais il y a de fortes chances que vous ne les remarquiez même pas.


Préférences

Vous pouvez configurer de nombreux aspects de Notepad++ en utilisant la boîte de dialogue "Préférences". La boîte de dialogue se compose de plusieurs onglets qui contiennent des options qui sont pertinentes sur certains aspects de Notepad++ (par exemple, l'interface ou les options de sauvegarde).

Général

Les paramètres généraux permettent de contrôler l'apparence de l'interface principale. Vous pouvez contrôler la barre d'onglets, la barre d'outils, la barre d'état et le menu à partir d'ici, ainsi que la langue de l'interface.
Localisation:
Cette liste déroulante affiche toutes les langues que vous pouvez utiliser pour que Notepad++ parle votre langue. Si vous cliquez sur une de ces langues, tous les éléments d'interface utilisateur sont immédiatement traduits dans cette langue. Les fichiers de localisation sont conservés dans le sous-dossier de localisation \localization de Notepad++.
Barre d'outils:
  • Cacher - Cache complètement la barre d'outils:.
  • Les choix suivants donnent un résultat immédiat, mais parfois un redémarrage est nécessaire pour charger correctement les icônes
    • Petites icônes - Notepad++ utilise des icônes de petite taille pour la barre d'outils. Cela peut concerner les icônes standard ou des icônes personnalisées.
    • Grandes icônes - Notepad++ utilise des icônes de grande taille pour la barre d'outils. Cela peut peut concerner les icônes standard ou des icônes personnalisées.
    • Icônes standard - Ce sont les icônes intégrés par défaut. C'est aussi la seule option utilisable pour les icônes des plugins en barre d'outils.
Barre de menu:
Cacher - Si vous cochez cette option, la barre de menus se masque automatiquement. Pour montrer la barre de menu temporairement, appuyez sur la touche Alt ou la touche F10. La sélection d'une option, la touche Echapp ou la sélection d'une autre fenêtre masquera de nouveau le menu.
Barre d'état:
Afficher la barre d'état - Cocher pour afficher la barre d'état.
Commutateur de Documents:
Détermine comment s'affiche le changeur de document vertical:
  • Montrer: afffiche le commutateur
  • Masquer la colonne des extensions:par défaut, les extensions sont affichées dans une colonne séparée à droite. La colonne peut être masquée.
barre d'onglets:
  • Cacher - Si vous cochez cette option, la barre d'onglets est masquée. Vous pouvez toujours ouvrir plusieurs documents, mais vous devrez passer par les raccourcis clavier plutôt que par l'utilisation de la barre d'onglets.
  • Multi-Ligne - Si vous cochez cette option, les pnglets qui ne tiennent pas en longueur sur la barre d'onglets seront visibles sur les lignes suivantes. Sinon, deux boutons fléchés permettent de faire défiler les onglets. Notez que le document actif sera toujours sur la rangée du bas.
  • Vertical - Cochez cette option pour une rotation de 90° vers la gauche du libellé de l'onglet de la barre ainsi que le déplacement sur le côté gauche de l'écran.
  • Réduire la taille - Adapte la police et les icones pour que le maximum d'informations de l'onglet soit visible.
  • Verrouiller (pas de glisser/déposer) - désactive la possibilité de trier les documents en faisant glisser les onglets.
  • Colorer les onglets inactifs - Si cette option est activée, les onglets inactifs auront une couleur de fond particulière (voir: Paramètres, Configurateur de coloration syntaxique).
  • Barre colorée sur l'onglet actif - Si vous cochez cette case, l'onglet actif de la vue active aura une ligne colorée (par défaut orange, voir Paramètres Configurateur de coloration syntaxique).
  • Bouton de fermeture sur chaque onglet - cette option ajoute un bouton de fermeture sur chaque onglet, pour fermer le document courtant.
  • Fermer l'onglet par Double clic - Si elle est cochée, double-cliquer ferme l'onglet.

Zone d'édition

Ces paramètres affectent le comportement et l'apparence de Scintilla, l'outil d'édition utilisé par Notepad++.
Paramètres du curseur :
  • Largeur - Définit la largeur en pixels du curseur, ou le transforme en un bloc qui est de la taille du caractère en cours (si imprimable, sinon de la taille d'un espace).
  • Clignotement - Variation de vitesse (R) pour ralentir (L) pour augmenter (entre non visible et toujours allumé).
    Vous pouvez changer la couleur du curseur (Configurateur de coloration syntaxique).
Multi-édition
Vous pouvez activer ou désactiver cette fonctionnalité grâce à la case à cocher. Vous pourrez sélectionner des zones non contiguës (voir Sélection de texte ) et rechercher un texte dans toutes les parties de la sélection.
Style de la marge d'escamotage
Le style des icônes qui indiquent le statut de pliage (Voir plier/déplier ). Choisissez parmi les 4 types proposés, ou Aucun pour désactiver l'escamotage.
Largeur des lignes
  • Afficher la marge Droite - Activer cette option tracera un trait vertical à travers le document à l'emplacement voulu.
  • Mode.
    • Afficher un filet vertical - Si sélectionné, le bord sera matérialisé en utilisant une ligne en arrière-plan
    • Colorer l'arrière plan - Si sélectionné, le bord sera matérialisé en changeant la couleur de fond des caractères au delà du bord. Vous pouvez changer la couleur avec le configurateur de colorisation syntaxique .
    • Nombre de colonnes : La distance en colonnes (déterminée par la taille de l'espace) à laquelle le bord sera matérialisé.

Autres options
  • Afficher la numérotation des lignes - Si elle est cochée, les numéros de ligne seront visible. Vous pouvez changer la couleur avec le Configurateur de coloration syntaxique . Lorsqu'elle est visible, la numérotation peut accueillir trois chiffres, et s'élargira si nécessaire pour afficher des nombres de plus grande longueur.
  • Afficher la marge des signets - Si elle est cochée, la marge des signets sera visible.
  • Surligner la ligne courante - Si elle est cochée, la ligne à laquelle le curseur est présent sera visible avec une couleur de fond spéciale que vous pouvez modifier avec le Configurateur de coloration syntaxique.
  • Désactiver le défilement intelligent (si vous avez un problème de Touchpad) - Certains pilotes système s'interposent entre l'utilisateur et le composant Scintilla, empêchant celui-ci de réagir. Ne cochez cette case que si vous n'arrivez pas à ufaire défiler le texte avec la molette de la souris - le problème apparaît plutôt sur les portables.
  • Le curseur Border width contrôle la largeur de la frontière de la zone d'édition, qui est aussi la distance entre l'onglet et le texte édité. Sa valeur en pixels s'affiche à droite du curseur. En fonction de la résolution de votre écran, vous pouvez ajuster ce paramètre pour am"liorer la lisibilité ou augmenter l'espace disponible.

Nouveau document

Ces options changent la façon de créer les nouveaux documents.
Nouveau document:
  • Encodage : Permet de choisir l'encodage par défaut à utiliser (voir encodage ).
  • Format des sauts de ligne : permet de choisir quel est le format de saut de ligne utilisé par défaut (voir Format Saut à la ligne ).
  • Langage par défaut : définit quelle coloration syntaxique sera utilisée pour tout document nouvellement créé. Sélectionne la bonne occurrence dans le menu Langage. Les langages définis par l'utilisateur et les langages externes ne peuvent pas être sélectionnés.

Répertoire par défaut

Dossier par défaut (Ouvrir / Enregistrer):
Ce paramètre contrôle le répertoire proposé par Notepad++ à chaque utilisation des boites de dialogues Ouvrir / enregistrer. Il est à noter que le répertoire par défaut n'est pas le même que le répertoire courant (répertoire de travail) de Notepad++.
  • Utiliser celui du document actuel - Si cette option est sélectionnée, le répertoire par défaut sera le répertoire du fichier actuellement actif. Si le fichier est un nouveau document non enregistré, ce sera le répertoire de travail de Notepad++.
  • Mémoriser le dernier répertoire sélectionné - Si cette option est sélectionnée, le répertoire par défaut sera d'abord le répertoire où Notepad++ a été lancé (vous pouvez le contrôler en ajustant le raccourci que vous utilisez pour Notepad++), en suivant le répertoire affiché dans les boites de dialogues Ouvrir / Enregistrer.
  • - Le répertoire par défaut peut être configuré pour un chemin d'accès donné, saisi dans la zone de texte contiguë ou par le bouton Parcourir ... . Si le chemin n'est plus valide, le répertoire de travail de Notepad++ sera utilisé. Vous êtes autorisé à utiliser des variables d'environnement, en utilisant la syntaxe %var-name% des fichiers batch.
Historique des fichiers récents :
  • Le nombre maximum de fichiers récents - N'importe quel nombre de 0 à 30. Contrôle le nombre de fichiers qui sont enregistrés dans l'historique. 0 désactive l'enregistrement.
  • Ne pas vérifier au lancement - Si elle est cochée, Notepad++ ne vérifiera pas la validité des fichiers de l'historique. Si elle est décochée, Notepad++ va vérifier l'existence de chaque fichier. Cette option est recommandée à l'activation dans le cas d'utilisation de fichiers en réseau.
  • In Submenu : Quand cette case est cochée, la liste se présente à partir d'un sous-menu de Fichiers. Sinon, la liste est insérée sous forme d'entrées supplémentaires vers le bas de Fichiers.
  • Only File name : Avec cette option, la liste des fichiers récents ne montre que les noms de fichier, sans leur chemin.
  • Full File Name Path : Avec cette option, la liste des fichiers récents montre les noms complets des fichiers, avec l'intégralité de leur chemin.
  • Customize maximum length : Semblable à l'option précédente, mais les noms complets de fichier sont tronqués s'ils sont trop longs. En activant le bouton, il apparaît un lien avec la longueur maximale applicable (100 par défaut). Ce paramètre peut être modifié en cliquant le lien.

Association de fichier

Vous pouvez associer des fichiers à Notepad++, pour qu'il démarre à l'ouverture de ces fichiers. Sélectionnez un type de fichier, puis sélectionnez l'extension désirée et appuyez sur -> pour associer le fichier. Pour ajouter un type personnalisé de fichier, sélectionnez Personnaliser, entrez l'extension et appuyez sur le -> Pour supprimer l'association, sélectionnez l'extension à dissocier et appuyez sur <- .

Menu Langage

Vous pouvez sélectionner les langages qui sont disponibles dans le menu Langage. Dans les langages disponibles de la liste figurent les langages qui sont actuellement visibles. Pour masquer un langage dans le menu, sélectionnez-le et appuyez sur le bouton > pour le transférer vers les éléments cachés. Pour le faire réapparaitre, sélectionnez-le dans la liste des langages cachés et transférez-le vers les langages visibles en appuyant sur le bouton < .
L'aspect du menu des langages peut être encore contrôlé par la case à cocher Compacter les langages . Quand elle est cochée, les langages dont les noms commencent par la même lettre sont regroupées dans un sous-menu, au lieu d'être tous présents dans le menu lui-même.

Tabulations

Les paramètres de tabulation peuvent être ajustés langage par langage. La liste de droite a tous les langages prédéfinis, ainsi que l'item [default] (par défaut). Ce dernier s'applique à tous les langages qui n'ont pas un paramètre spécifique, ainsi qu'à tous les langages définis par l'utilisateur. Le cadre au dessous permet le réglage des paramètres de tabulation pour le langage sélectionné:

  • Taille des tabulations - Taille en caractères espace d'un caractère de tabulation dans le document.
  • Remplacer par des espaces - La tabulation se fera au moyen d'espaces et non pas du caractère Tab. Le nombre d'espaces utilisés dépend de l'option précédente.

Imprimer

    Utilisez ces paramètres pour ajuster la mise en page et les couleurs utilisées pour imprimer un document, ainsi que l'en-tête et le pied de page. Ceux-ci peut être n'importe quelle chaîne ordinaire ou une variable qui va changer en fonction du document imprimé.
  • Imprimer la numérotation des lignes - Si l'option est sélectionnée, la numérotation sera imprimée aussi.
  • Option couleur:
    • Tel qu'à l'écran - couleurs d'impression exactement comme elles sont sur l'écran.
    • Inverser - Impression du document avec une couleur de fond inversé (blanc devient noir par exemple, et vice versa) et la couleur de premier plan par défaut inversé. Toutes les autres couleurs resteront les mêmes.
    • Noir et blanc - Tous les textes seront imprimés en noir sur fond blanc.
    • Aucune couleur de fond - Tout les textes gardent leurs couleurs, mais les couleurs de fond (y compris la couleur par défaut) seront imprimées en blanc.
Variables
Vous pouvez utiliser des variables dans l'en-tête/pied de page. Il y a d'origine des variables énumérées renseignées par défaut, mais vous pouvez également utiliser n'importe quelle variable utilisée par la boîte de dialogue Exécuter (voir commandes ). La syntaxe est la même. Pour ajouter une variable prédéfinie dans le menu déroulant, cliquez sur Ajouter . Le nom sera automatiquement copié dans la zone préalablement sélectionnée.
En-tête:
Contrôle le texte d'en-tête. Si n'importe quel texte en-tête est présent, il sera séparé du document par une ligne. Utilisez les différents contrôles d'édition de modification de texte ajouté à l'en-tête. Vous pouvez ajouter du texte dans l'en-tête de gauche, de droite et du centre. Vous pouvez chosir une police de caractère spécifique pour l'en-tête.
Pied de page:
Contrôle le texte de bas de page. Mêmes fonctionnalités que pour l'en-tête.

Sauvegarde

Sauvegarde :
    Contrôle le comportement de sauvegarde. Vous pouvez effectuer une sauvegarde automatique de chaque fichier modifié dans Notepad++. En outre, les deux options suivantes peuvent être utilisées:
  • Se souvenir de la session en cours pour le lancement prochain - Si l'option est cochée, l'ensemble des dossiers ouverts dans Notepad++ sera ouvert à nouveau lorsque Notepad++ sera rouvert.
  • Sauvegardes et enregistrements de session périodiques Si cette case est cochée, Notepad++ stockera à intervalles réguliers le contenu de tous les documents ouverts (sauvegardés ou non) des deux vues ainsi qu'un fichier de session les décrivant. Cet état sera restauré à la réouverture. Le nombre de seconde sémarant les instantanés peut être renseigné sous forme d'un nombre entier (7 par défaut).

    Les options suivantes concernent les copies de sauvegarde lors d'un enregistrement:
  • Aucun - Pas de sauvegardes .
  • Simple sauvegarde - Une sauvegarde est enregistrée dans un fichier portant le même nom et l'extension .bak est ajoutée (l'extension d'origine est préservée).
  • sauvegarde Détaillée - même utilisation que l'option simple mais .bak est remplacé par un horodatage.
  • Dossier spécifique - Si elle est cochée, un répertoire de sauvegarde personnalisé est utilisé au lieu de sauver dans le même répertoire que le fichier d'origine.

Saisie semi-automatique

L'auto-complétion:
    Voir saisie semi-automatique pour une explication du dispositif.
  • Activer Auto-complétion - Si elle est cochée, Notepad++ va essayer de compléter le mot courant à partir des caractère déjà écrits.
    • Complétion de fonction: essayer de compléter le mot courant en utilisant la liste des fonctions du langage courant.
    • Complétion de mot : essayer de compléter le mot courant en utilisant les mots dans le document.
    • Complétion de fonction et de mot : essayer de compléter le mot courant en utilisant les mots dans le document et les fonctions du langage.
    • à Partir du .. caractère saisi Entrez le nombre de caractères nécessaires avant que Notepad++ tente de compléter le mot en cours de frappe. Les valeurs autorisées vont de 1 à 9.
  • Paramètres affichés durant la saisie - Si l'option est cochée, quand un masque est ajouté qui marque le début d'une liste d'arguments de fonction en cours de saisie, les paramètres de la fonction seront montrés dans une info-bulle.
  • Auto-completion des délimiteurs usuels, en cochant les cses correspondantes ( () [] {} '' "" ). Possibilité d'ajouter jusqu'à trois paires supplémentaitres.

Divers

Ces paramètres contrôlent d'autres aspects de Notepad++.
Commutateur de Document
  • Activer - Pour activer le sélecteur de document.
  • Activer la liste MRU - Gouverne l'ordre des fichiers dans le sélecteur de document.
Coloriage automatique
Quand cette option est activée, toutes les occurrences du mot qui correspond à la sélection active en ce moment à l'écran sera en surbrillance. Vous pouvez contrôler la couleur en utilisant le Configurateur de coloration syntaxique.
  • Activer le coloriage automatique - Pour activer la fo,ctionnalité.
  • Respecter la casse - Par défaut, toutes les occurences sont coloriées quelle qu'en soit la capitalisation. On peut ainsi limiter le nombre d'éléments marqués, rendant l'affichage plus clair.
Paramétrage des liens cliquables :
    Cette option rend les adresses web cliquables (tous protocoles). L'adresse s'ouvre alors dans votre navigateur par double clic, s'il est correctement installé.
  • Activer - Si elle est activée, les adresses <protocole>:// sont cliquables dès qu'ils ont été saisis et que le caret n'est plus dessus.
  • Pas de soulignement - Si elle est activée, cette option élimine le soulignement standard des liens hypertexte.
Auto-détection de statut des fichiers:
    Vérifie automatiquement l'état de chaque fichier ouvert lorsque Notepad++ est activé depuis l'arrière-plan.
  • Détection automatique - Vérifier l'état pour permettre la détection.
  • Mise à jour sans alerte - Si un changement dans un fichier est détecté (modification de contenu), Notepad++ va effectuer le rechargement du fichier sans alerte.
  • Aller à la dernière ligne, après mise à jour - Si elle est cochée, lorsqu'un fichier est rechargé après détection d'une modification externe, il défilera jusqu'à la dernière ligne (utile pour les fichiers log).
Surligner les éléments:
    L'élément est l'unité de base pour souligner les langages XML / HTML. Lorsque le curseur est situé sur une balise ou à l'intérieur d'un élément, l'entrée élément correspondant sera colorisée. Vous pouvez changer les couleurs en utilisant le Configurateur de coloration syntaxique.
  • Activé - Cochez pour activer la mise en évidence des balises.
  • les attributs des éléments - Si elle est cochée, les attributs d'un élément seront surlignés.
  • Dans les zones de commentaire / php / asp - Si elle est cochée, les balises dans un script php / asp seront surlignées.
Cloud Sur cet onglet, en fonction des comptes distants dont vous disposez, vous pouvez sauvegarder votre configuration "dans le nuage" plutôt que sur votre ordinateur. Les media pris en compte sont DropBox, OneDrive et GoogleDrive.
Sessions
  • Si une extension est inscrite comme extension pour fichiers session , Notepad++ va essayer d'ouvrir ces fichiers comme fichiers de session au lieu de fichiers normaux. Cela vous permet de simplement fournir un fichier de session via la ligne de commande ou toute autre méthode d'ouverture d'un fichier afin de charger une session dans Notepad++.
Autres options
  • Activer mise à jour automatique: Si elle est cochée, Notepad++ tentera de trouver sur une mise à jour au démarrage. Vous avez la possibilité de reporter la mise à niveau s'il en trouve une.
  • Auto-détection de l'encodage: Cochée par défaut, cette case autorise ou non Notepad++ à utiliser des heuristiques de détection de l'encodage des fichiers. Si elle est cochée, Notepad++ tentera de trouver sur une mise à jour au démarrage. Vous avez la possibilité de reporter la mise à niveau s'il en trouve une.
  • Auto-indentation - Si elle est cochée, l'ajout d'une nouvelle ligne se fera avec le même retrait que la précédente.
  • Réduire dans la zone de notifications - Si l'option est cochée, la minimisation de Notepad++ ajoutera une icône à la barre d'état système (zone de notification). En cliquant sur cette icône, Notepad++ reviendra au premier plan.
  • Afficher uniquement les noms de fichier dans la barre de titre - Si elle est cochée, au lieu du chemin complet vers le fichier actif, c'est le nom du fichier sans le répertoire qui sera affiché.
  • En SQL, l'antislash est un caractère d'échappement - Puisque les différents dialectes de SQL ont des interprétations différentes de l'antislash, vous pouvez en décider ici.


Configurateur de Style

Configurateur de coloration Syntaxique

Le configurateur de coloration syntaxique est principalement utilisé pour contrôler l'apparence du texte dans Notepad++, mais il vous permet également de modifier certains des autres aspects qui ont une couleur configurable par l'utilisateur.

    Le configurateur de coloration syntaxique a deux listes. La liste de gauche Langage contient tous les langages déjà connus, ainsi que d'autres articles possédant des paramètres de couleur:
  • Global Styles: contrôle les couleurs d'interface utilisateur.
  • Résultats: Le texte de la fenêtre de résultats de recherche
  • DOS) style: colorier le texte pour l'afficher comme dans une fenêtre de shell command.com / cmd.exe.

La liste sur la droite Style comporte tous les styles configurables pour le langage choisi.

Pour la plupart des langages, le rôle des éléments de cette liste devrait être évident. Ne figurent donc ici que les éléments de configuration globale et quelques exceptions connues.
Validation :
  • Enregistrer & fermer : Conservez tous les renseignements style et fermer la boîte de dialogue.
  • Annuler : annuler toutes les modifications apportées et fermer la boîte de dialogue. Même action que lorsqu'on ferme la boîte de dialogue.
Configuration du dialogue:
Transparence permettra de rendre la boite de dialogue translucide. Le curseur contrôle le niveau de transparence. Notez que la transparence n'est disponible qu'à partir de Windows 2000.
Thèmes :
Un thème de style est une collection complète des propriétés de style (voir ci-dessous), pour toutes les langages et les paramètres globaux. À un moment donné, un thème est actif, et vous pouvez le modifier à tout moment en utilisant la liste déroulante en haut de la boîte de dialogue. La liste est lue au démarrage à partir du sous-dossier des thèmes, mais vous pouvez en ajouter un peu plus tard en utilisant Paramétrage -> Importer -> Importer fichier(s) de thème.
Les propriétés de style:
Tous les styles ont des propriétés qui leur sont assignées. Chaque style a des propriétés que les autres n'ont pas, comme une couleur de fond. Si une propriété n'est pas disponible, elle est tout simplement grisée.
Couleurs:
    Cliquer sur la case de couleur affiche un menu popup avec les principales couleurs par défaut. En cliquant vous changer la couleur. Cliquez sur Autres couleurs ... pour spécifier manuellement une autre couleur. Chaque case de couleur est "cliquable droite": un clic droit impose ou supprime l'usage de la couleur dy style par défaut. Des hachures apparaissent sur la case pour signaler l'usage de la couleur par défaut.
  • Couleur de premier plan: ce sont les couleurs utilisées pour le texte (couleur des caractères).
  • La couleur de fond: ce sont les couleurs de l'arrière-plan du texte
Polices :
  • Nom de la police: La police à utiliser lors de l'affichage du texte. Laissez ce champ vide pour utiliser la valeur par défaut.
  • Taille de police: Taille de la police (en points) à utiliser lors de l'affichage du texte. Laissez ce champ vide pour utiliser la valeur par défaut.
  • Gras : si vous souhaitez mettre le texte en gras.
  • Italique : si vous souhaitez mettre le texte en italique.
  • Souligné :si vous souhaitez souligner le texte .
    Si un langage ordinaire est sélectionné, deux contrôles d'édition sont visibles:
  • Ext. par défaut . Extensions de fichier par défaut associée à ce langage. Si un fichier est ouvert avec cette extension, Notepad++ changera le langage.
  • Ext. utilisateur définit la liste des d'extensions utilisateur éventuelles (séparées par un espace). Notepad++ traite les fichiers possédant ces extensions comme s'ils portaint l'extension par défaut.
    Quand un style est sélectionné et que lui sont associés des mots clé spécifiques, en choisir ce style affiche deux contrôles d'édition supplémentaires:
  • mots-clé prédéfinis Ce sont les mots clé utilisés par défaut par le langage.
  • mots-clé utilisateur Vous pouvez entrer vos mots-clé personnels, séparés par un espace, afin de compléter la liste prédéfinie. Le style sera également appliqué aux mots clé de cette liste, afin de tenir compte de variantes au sein dd'un langage ou d'évolutions récentes.

langages spéciaux:

Global Styles: (styles par défaut + styles de l'interface utilisateur)

Global Override
Ce style peut surcharger un ou plusieurs éléments de tout autre style, et a quelques options spécifiques. Chaque case à cocher ci-dessous, détermine une option de manière gobale aux autres styles. Si une propriété est vide le style ne sera pas appliqué. Pour gras, italique et souligné, il n'y a de désactivation globale que si ces propriétés sont activées.
Style par défaut
Propriétés du style par défaut appliquables aux autres styles tant qu'ils ne les surchargent pas. Le comportement en cas de propriété vierge est indéfini.
Indent Guidline Style
Couleurs à utiliser pour la ligne de niveau d'indentation. La ligne directrice est tracée avec des couleurs alternées, spécifiées en utilisant l'avant-plans et la couleur de fond.
Brace highlight Style
Pour marquer des accolades, utilisez ce style. Toutes les propriétés peuvent être modifiées.
Bad brace color :
Ce style est utilisé si une accolade ouvrante n'est pas fermée ou si une accolade fermante n' a pas d'accolade ouvrante correspondante. Le symbole non apparié est dessiné avec ce style.
Current line background :
Contrôle de la couleur de fond de la ligne active, si ctte option est active. Valeur vide interdite.
Selected text colour :
Couleur de l'arrière-plan du texte sélectionné. Valeur vide interdite.
Cursor Colour :
Couleur du curseur. Valeur vide interdite.
Edge Colour :
Couleur du bord vertical de droite. Valeur vide interdite.
Line number margin :
Contrôle le style de la marge de numéros de ligne. Toutes les propriétés peuvent être ajustées. Ce contrôle affecte également la couleur de fond de la marge de signet.
Fold :
Contrôle la couleur des indicateurs d'escamotage (pas la marge elle-même). Ne peut pas être réglé à des valeurs vides.
Fold active
La couleur de premier plan pour ce style sert à tracer dans la marge la marque du bloc escamotable contenant la ligne activze. Ne fonctionne que si le style de marqueurs est Rectangles ou Cercles.
Fold margin :
Contrôles les couleurs d'arrière-plan de la marge des plis. Les couleurs d'avant- et arrière plan forment un motif en damier à l'échelle du pixel.
White space symbol
Contrôle la couleur de premier plan des espaces. N'est utilisée que si l'espacement fixe est activé ou tout autre style qui a des espaces soulignés. Valeur vide interdite.
Smart Highlighting :
Lorsque l'option est activée, ce style s'applique à toutes les occurrences du texte sélectionné.
Mark style # :
# compris entre 1 et 5. Ces paramètres définissent la mise en évidence utilisé en conjonction avec Rechercher -> Naviguer (haut/bas) -> style # .
Find Mark Style :
Lorsque Marquer les lignes n'est pas activée dans l'onglet Marquer dela boîte de dialogue Rechercher, et si Rechercher tout est exécuté, ce style s'applique à toutes les occurrences détectées.
Incremental highlight all :
S'applique lorsque la recherche incrémentielle est en cours.
Tag match highlighting :
Lorsque l'option est activée, ce style s'applique à des paires balises qui se correspondent.
Tag attributes :
Contrôle la couleur de fond utilisée pour les attributs de balises. Valeur vide interdite.
Active tab focused :
Détermine la couleur de la ligne marquant l'onglet actif (si cette option est active). Valeur vide interdite.
Active tab unfocused :
Détermine la couleur de la ligne marquant l'onglet actif de l'autre vue (si cette option est active). Valeur vide interdite.
Active tab text :
Couleur de premier plan du texte d'un onglet actif. Valeur vide interdite.
Inactive tabs :
Laouleur de premier plan est celle du texte des onglets inactifs. La couleur de fond est utilisée pour le fond des onglet inactifs si Assombrir les onglets inactifs est activé.

Résultat de la recherche

Voici les paramètres modifiables de l'apparence des résultats de recherche affichés dans la fenêtre de résultats de recherche :
Default :
Tout le texte dans la fenêtre auquel aucun autre style ne s'applique.
Search Header :
La première ligne de la fenêtre de résultats, qui contient les statistiques de la recherche.
File Header
: Affiche le nom du fichier et le nombre d'occurrences dans ce fichier.
Line number :
Les numéros de ligne cliquables qui mènent droit au résultat de recherche dans le fichier.
Hit Word :
Le résultat de la recherche lui-même.
Selected Line :
Tout texte sélectionné
Current line background colour :
Couleur de fond de la ligne courante. Faites un clic droit de la couleur pour supprimer cette mise en évidence.

Dos Style

Le "langage" DOS utilise une police spéciale appelée MSLINEDRAW pour permettre l'usage des caractères semi-graphiques ("box-art") dans es fichiers utilisant un ancien encodage DOS. Vous ne pouvez contrôler la couleur nidu fond ni du texte. Tout le texte (reçoit ce style. Les propriétés de police sont celles du style par défaut (à l'exception du nom de la police, qui est toujours MSLINEDRAW).


Outil gestion des raccourcis

Le mappeur de raccourci contrôle les raccourcis clavier assignés aux commandes des menus et l'outil Scintilla. Appuyert sur un tel raccourci va exécuter la commande. Les raccourcis du menu sont uniques, ce qui signifie qu'un élément de menu ne peut avoir qu'un seul raccourci (vous pouvez saisir des doublons, mais un seul est actif, soyez donc prudent avec les conflits). Les raccourcis Scintilla ont un mappage un-vers-plusieurs possible, ce qui signifie une commande Scintilla peut être déclenchée par plusieurs raccourcis.

Les raccourcis sont indiqués dans une liste sur deux colonnes. La colonne de gauche affiche le nom de la commande, la colonne de droite le raccourci associé, le cas échéant. Les raccourcis étant affichés, on peut en modifier un en double-cliquant dessus, ou par clic droit et en sélectionnant Modifier. S'affiche alors un dialogue avec le nom (modifiable pour les macros et commandes utilisateur) et le raccourci attribué. Utilisez les cases à cocher pour contrôler ce modificateurs de touches à utiliser (notez que Scintilla ne supporte pas la touche Windows, car elle n'a guère de sens sur une machine Unix / Mac) et les listes déroulantes pour choisir la touche principale. Choisir "Aucun" dans la liste permet de désactiver la touche de raccourci (un avertissement apparaît). Appuyer sur OK applique les changements, Annuler les annule, tout comme la fermeture prématurée du dialogue.

La boîte de dialogue pour les raccourcis Scintilla est un peu différente parce que vous pouvez ajouter des raccourcis multiples. En plus des contrôles normaux, vous trouverez une liste éventuellement vide avec tous les raccourcis attribués. Le bouton Ajouter va ajouter le raccourci en cours si ce n'est [Aucunn] et s'il n'est pas déjà dans la liste. Le bouton Supprimer supprime le raccourci sélectionné de la liste (vous pouvez les supprimer tous ainsi, sauf le dernier).

Le bouton Appliquer va remplacer le raccourci sélectionné actuellement par les paramètres actuels. Pour supprimer un raccourci, si plus d'un est présent, utilisez le boutonSupprimer. Pour supprimer un raccourci s'il est seul, il faut le mettre à "Aucun" et Appliquer

Le bouton OK enregistre les ajouts ou modifications - il en faut au moins un. Si le nouveau raccourci n'est pas valide, ce bouton ne sera pas actif, pas plus que Appliquer .

Les raccourcis sont divisés en plusieurs catégories :
Menus:
Ils contrôlent les principales commandes de menu par défaut. De plus, vous pouvez aussi modifier le raccourci pour basculer entre les documents, mais ce n'est pas recommandé (il y a encore des problèmes avec cette option si vous utilisez une autre séquence de touche "Ctrl enfoncée").
Macros:
Raccourcis pour enregistrer et sauvegarder les macros enregistrées, et pour les rejouer. Vous pouvez modifier le nom de la macro. Vous pouvez également supprimer des macros à partir d'ici par clic droit sur la macro ou en sélectionnant Supprimer.
Commandes utilisateur :
Raccourcis pour les commandes enregistrées. Vous pouvez modifier le nom de la commande. Vous pouvez également Supprimer des commandes à partir d'ici par clic droit sur la commande et en sélectionnant Supprimer.
Commandes des plugins:
Raccourcis pour les plugins. Par défaut, un plugin peut opter pour une combinaison de raccourcis, mais vous pouvez ajouter/remplacer manuellement ici. Voir aussi Plugins
Commandes Scintilla:
Raccourcis pour Scintilla. Seul le raccourci primaire est affiché dans la liste, mais lors de l'édition de la commande tous seront listés.
Le gestionnaire propose également des boutons Supprimer et Modifier pour supprimer ou modifier le raccourci sélectionné, exactement dans les mêmes conditions.


Plugins

Notepad++ est extensible grâce aux plugins. Les plugins sont de grands ou petits ajouts à Notepad++ pour améliorer ses fonctionnalités. Notepad++ est livré avec quelques plugins (si vous utilisez l'installateur, vous pourrez choisir ceux à ajouter), mais vous pouvez toujours ajouter les vôtres ou en supprimer certains. Les plugins sont situés dans le répertoire principal d'installation de Notepad++. Les plugins sont des fichiers DLL et il suffit de les retirer ou de les ajouter pour qu'ils soient chargés ou non.

Lorsque Notepad++ démarre, il regarde dans son dossier de configuration les plugins et charge toutes les dll qu'il trouve. Plus tard, vous pouvez ajouter des plugins en utilisant Paramètres -> Importer - Importer plugins. Faites attention et assurez-vous que votre version de Notepad++ est à jour pour ajouter de nouveaux plugins et que le plugin est compatible avec Notepad++: certains très anciens plugins ne fonctionnent plus avec les nouvelles versions de Notepad++, il appartient au développeur du plugin de le mettre à jour ou non.

Actuellement, Notepad++ ne se trouve que en version Unicode. Il y a eu cohabitation entre des versions ANSI et Unicode, et seule la première existait à l'origine. Le plugin doit correspondre à cette version, sinon il ne fonctionnera pas (Notepad++ vous avertit à ce sujet):. Les plugins peuvent se trouver n'importe où sur Internet, mais beaucoup figurent dans le projet Notepad++ Plugins sur sourceForge.net. Il y a même un plugin, appelé Plugin Manager, qui gère les détails d'installation et de version de vos plugins pour vous.

Si vous souhaitez installer les plugins standard, voici ceux qui sont fournis:

  • DSpellCheck : signale les éventuelles fautes de frappe et suggère des corrections
  • NppFTP : intègre à Notepad++ la gestion de fichiers distants via FTP
  • NppExport : exporte es fichiers RTF ou HTML à partir du document actif, avec sa coloration syntaxique
  • Plugin Manager : automatise l'installation et la mise à jour de la plupart des plugins. Plugin Central en fournit une liste complète.
  • Converter : conversion de chaînes de caractères entre ASCII, HEX, décimal et octal
  • Mime Tool : encodage et décodage pour base64, quoted printable, URL et SAML
A noter que n'importe lequel des plugins "officiels" peut être remplacé ou retiré, avec Plugin Manager ou manuellement.

Si un plugin fonctionne mal, Notepad++ va le décharger de façon à ce que l'erreur ne se propage pas, évitant ainsi toute perte de données. Dans un tel cas, vous recevrez des informations sur le plugin en anomalie. Il faut faire connaître ces informations sur le forum Plugin de développement afin d'éliminer la cause du problème dès que possible.


Ligne de commande

Notepad++.exe [-alwaysOnTop] [-loadingTime] [-multiInst] [-noplugin] [-ro] [-nosession] [-notabbar] [-n##] [-c] [-x##] [-y##] [-l$$$] [-systemtray] {-r] [fichiers] | [-openSession fichier]

Notepad++interprète des paramètres en ligne de commande afin de contrôler son lancement. Les options suivantes sont reconnues (elles sont sensibles à la casse):
-alwaysOnTop
En présence de cette option, Notepad++ s'ouvre au-dessus des autres fenêtres.
-c
Commence à éditer en mode colonne.
--help
Affiche cette liste, c'est à dire tous les commutateurs de ligne de commande
-l nom court du langage
Langue à utiliser pour chaque fichier ouvert. $$$ est une courte chaîne d'identification, dont voici valeurs les autorisés :
normal, php, c, cpp, cs, objc, d, java, rc, html, xml, makefile, pascal, lot, ini, nfo, ASP, SQL, VB, javascript, css, perl, python, lua, tex, COBOL, FORTRAN, bash, actionscript, nsis, tcl, Lisp, Scheme, asm, diff, des accessoires, des post-scriptum, Ruby, Smalltalk, VHDL, kix, AutoIt, Gui4Cli, powershell, Caml, ADA, Verilog, matlab, Haskell, l'innovation, cmake, yaml, r, jsp, coffeescript
-L<locale
Définit la langue utilisée pour l'IHM de l'istance qui va être ouverte. lodale doit être un LCID reconnu par Notepad++, comme dans -Lru (russe) ou -Les-ar (español argentino).
-loadingTime
Affiche le temps de chargement de tous les fichiers si Notepad++ démarre avec cette option. Le résultat est affiché dans une boîte de message, avec une résolution de 0,01s.
-multiInst
Permet de démarrer plus d'une instance de Notepad++. Par défaut, si Notepad++ est déjà ouvert, une nouvelle ouverture se fera sur la même instance. L'option permet de changer ce comportement.
-n <numéro de ligne>
Numéro de la ligne courante, pour tous les fichier ouvert au démarrage.
-noplugin
Permet de ne pas charger les plugins. Si vous soupçonnez un plugin défectueux ou si vous ne souhaitez pas les charger, ajoutez cette option.
-nosession
Ne pas charger la session précédente au démarrage. Ne pas enregistrer la session à la sortie non plus.
-notabbar
Masquer la barre d'onglets, même si les préférences disent le contraire.
-openSession Fichier
Ouvre Fichier en tant que fichier e session, ce qui charge tous les fichiers auquel il réfère.
-r
Interpréte les jokers ? et * comme le ferait DOS, ce qui pemet d'ouvrir plusieurs fichiers simultanément.
-ro
Tout fichier ouvert au démarrage le sera en mode Lecture seule.
-systemtray
Démarrer Notepad++ minimisé dans la barre système, ou zone de notification.
-x<position >
Préciser la position horizontale (en pixels) à laquelle Notepad + + fenêtre principale est d'ouvrir.
-y <position>
Spécifiez la position verticale (en pixels) à laquelle Notepad + + fenêtre principale est d'ouvrir.
Fichiers
Tout le reste sera interprété comme des noms de fichier. mettez vos noms de fichiers entre guillemets s'ils contiennent des espaces. Les jokers ne sont pas pris en charge.

L'ordre des options n'a pas d'importance. Pour la compatibilité, Notepad++ va d'abord essayer d'identifier la ligne de commande entière comme un nom de fichier, même en l'absence de guilemets. Il n'est toutefois pas recommandé de le faire, il et toujours conseillé de placer le nom du fichier complet et entre guillemets.

Toutes les options de ligne de commande sont décrites dans la rubrique d'aide specialisée ? → Options de la ligne de commande


Contrôle des fichiers

Fichiers de contrôle

Le comportement de démarrage de Notepad++ peut être ajusté avec la création de fichiers vides (0 octet):
doLocalConf.xml
S'il est présent, Notepad++ utilise le répertoire d'installation pour toutes sa configurations. S'il est absent, c'est %APPDATA% qui est utilisé à la place. Ce choix est forcé sous Windows Vista et suivants, hors du mode Administrateur. Les plugins sont toujours dans un sous-répertoire du répertoire d'installation.
asNotepad.xml
S'il est présent, Notepad++ imitera le Bloc-notes de Windows, ce qui signifie qu'il sera lancé dans plusieurs instances, la barre d'onglets non visible et sans charger la session précédente.
allowAppDataPlugins.xml
Ce fihchier ne doit être présent que si vous autorisez l'installation de plugins dans %APPDATA%\Notepad++. Le gestionnaire Plugin Manager peut devoir le faire sous Windows Vista ou plus, en fonction de la conifiguration de l'UAC.


Closing

Fichiers de conficguration

La cinfiguration de Notepad++ se fait exclusivement au moyen de fichiers XML. Ce choix technique assure l'indépendence de Notepad++ de la base de registre de Windows® et évite les problèmes d'enncodage quand on lit ou écrit du texte comportant des caractères non ASCII, comme pour les éléments textuels de l'interface ou l'historique des recherches.

Ces fichiers se trouvent:

  • Soit dans le répertoire d'instalation folder, s'il contient aussi le fichier doLocalConf.xml et si le stockage est sur place.
  • Soit dans %APPDATA%\Notepad++ si doLocalConf.xml n'est pas présent et si le stockage est sur place.
  • Soit "dans le nuage", si vous avez accès à de tels comptes à distance et si vous avez choisi cette option sur cloud usage

La liste complète des fichiers de configuration, dont beaucoup sont optionnels, se trouve sur Configuration files (en anglais). Les plus importants sont: remplacements, politique de sauvegarde...

config.xml
divers paramètres de l'interface utilisateur, positions des fenêtres des plugins, historique des recherche/remplacements, politique de sauvegarde...
langs.xml
caractéristiques - essentiellement les listes de mots clef - des langages natifs
nativeLang.xml
traductions actuelles de presque tous les éléments textuels de l'interface
stylers.xml
couleurs et polices pour tous les styles des langages natifs, et quelques aspects généraux tels que les numéros de ligne.


Extension Shell fichiers sous Windows

Extension du menu contextuel sous Windows

Par défaut, le programme d'installation de Notepad++ est livré avec une extension de "Shell". Elle ne fait pas vraiment partie du programme, mais est très utile. Si vous choisissez de l'installer, puis faites un clic droit sur n'importe quel fichier, vous obtiendrez une option supplémentaire nommée "Edit with Notepad++" avec l'icône de Notepad++.

Notez bien que pour installer ou supprimer cette extension, il est parfois nécessaire de relancer l'Explorer. Pour cela, il vous sera nécessaire de redémarrer Windows, ou de quiter votre session et d'en rouvrir une. On peut aussi utiliser le gestionnaire de tâches pour terminer explorer.exe. Vous pouvez le faire en appuyant sur Ctrl + Alt + Shift + Del.

Si l'extension de Shell est déjà installée, l'installateur de Notepad++ ne pourra pas le mettre à jour ou l'écraser, vous devez d'abord le désinstaller et redémarrer Explorer. Si vous émettez la commande d'enregistrement de DLL (regsvr32 /i NppShell_05.dll), une boîte de dialogue apparaîtra à partir de laquelle divers détails du comportement de l'extension peuvent être modifié. Le nombre de possibilité augmente à mesure que les versions croissent. Remplacez "01" par le numéro le plus élevé de fichier que vous trouverez. A noter que, sur de plus vieilles versions de Notepad++, il faut remplacer "_05" par "_04" ou moins.


Plus d'aide

Si vous voulez plus d'information ou d'aide sur Notepad++, ou si vous voulez soumettre des remarques, voici quelques possibilités:

Notre site Web et les forums
Le wiki de Notepad++
Rapports de bugs
Demandes de fonctionnalités
Patches.


Notre site Web et les forums

Vous pouvez trouver de plus amples renseignements et de l'aide supplémentaire pour Notepad++ aux adresses Web suivantes :
Les forums:
http://sourceforge.net/forum/?group_id=95717
L'aide en ligne:
http://npp-community.tuxfamily.org/
Le Wiki, connu sous le nom NpWiki++:
http://sourceforge.net/apps/mediawiki/notepad-plus/index.php?title=Main_Page
IdeaTorrent:
http://sourceforge.net/apps/ideatorrent/notepad-plus/
et bien sûr le site principal:
http://notepad-plus-plus.org/.


Rapports de boggues

Rapports de bugs

Si vous trouvez que Notepad++ ne fonctionne pas correctement ou tout simplement s'il se fige, vous avez probablement rencontré un bug. Vérifiez d'abord si vous avez la dernière version, chaque édition de Notepad++ est améliorée et les bugs sont corrigés (malheureusement, on en ajoute parfois, si bien que la bonne démarche est toujours d'être prudent lors d'une la mise à jour). En outre, si vous venez d'ajouter ou upgrader un plugin, il pourrait être la cause du bug.

    Ensuite, vérifiez si un plugin cause des problèmes. Supprimer tous les plugins ou démarrer avec l'option de ligne de commande pour désactiver tous les plugins et regardez si le problème persiste. Si c'est le cas:
  • Vérifiez les forums: peut-être d'autres utilisateurs ont rencontré ce problème et trouvé une solution.
  • Vérifiez le "bug tracker" ( http://sourceforge.net/tracker2/?group_id=95717&atid=612382 ): le bug peut déjà être détecté et dans la liste. Recherchez s'il fait partie de la liste, sinon, vous pouvez l'ajouter et aider les développeurs à le diagnostiquer et à le corriger (de manière la plus claire possible : quel est le problème? Quelles sont ses causes et comment le reproduire? Les rapports d'erreur sont, malheureusement, actuellement très peu utiles, une description sur la façon de reproduire le crash est indispensable. Le cas échéant, essayez également d'envoyer en zip ou 7-zip le fichier NppDump.dmp s'il a été produit: ce rapport contient l'état interne de Notepad++ lorsque l'accident a eu lieu, un trésor inestimable pour les développeurs.


Demandes de fonctionnalités

Si vous avez une (très) bonne idée sur la façon d'améliorer Notepad++, vous pouvez demander cette fonctionnalité à l'aide IdeaTorrent. Vous pouvez également utiliser le formulaire de suivi de demande ( http://sourceforge.net/tracker2/?group_id=95717&atid=612385 ), même si cette idée peut être écartée à un moment donné. L'utilisation IdeaTorrent permet d'exprimer des solutions concurrentes pour une question donnée, et de voter pour ces solutions. Si votre fonction n'a pas été demandée avant, vous pouvez le faire ici, ou bien voter pour une proposition de solution déjà faite.

Il n'y a aucune garantie que l'idée sera suivie: ce qui est une fonctionnalité importante pour une personne pourrait être très embêtant pour un autre, ou elle peut tout simplement être trop difficile ou trop couteuse en temps pour l'ajouter; voici les principales raisonts de rejet. Les souhaits d' ajouts ou des modifications au logiciel les plus fortement exprimés seront considérés sur la base de l'urgence, la popularité, le temps de développement disponibles et la faisabilité technique, sans garantie d'objectivité.

En outre, certaines demandes de fonctionnalités qui consisteraient à modifier le composant Scintilla se révéleront certainement irréalisables. Dans un tel cas, il serait plus judicieux de demander la fonctionnalité auprès du projet Scintilla. Lorsque cette mise à niveau du composant Scintilla, et quand Notepad++ pourra en profiter dans de nouvelles versions, toutes les nouvelles fonctionnalités seront disponibles - elles peuvent avoir été demandées par des gens qui n'ont jamais entendu parler de Notepad++ -, et validation des tests soient passés par Scintilla et qu'ils auront probablement éliminé tous les bogues possibles.


Patches

Si vous êtes un développeur / contributeur et que vous posséder une amélioration prête à intégrer à Notepad++, vous pouvez soumettre un patch en utilisant le "suivi des patch" (http://sourceforge.net/tracker2/?group_id=95717&atid=612384; C'est tout l'intérêt de l'Open Source: vous pouvez contribuer à ce que vous utilisez.


Mise à niveau de Notepad++

    Notepad++ est une outil continuellement maintenu, et les nouvelles versions sortent assez rapidement. Il existe essentiellement trois façons de se tenir au courant des changements :
  • Activer la fonction Auto Update. Quand une nouvelle version est disponible, et après un certain délai - 15 jours -, vous serez averti qu'une nouvelle version est disponible, avec la possibilité d'installer cette nouvelle version.
  • Utilisation de la commande ? -> Mise à jour de Notepad++ . Cette option lance l'équivalent de l'option Auto Update précédente. Si une nouvelle version est validée, vous aurez la possibilité de la télécharger et de l'installer. L'utilitaire de mise à jour peut fonctionner derrière un proxy, à condition d'utiliser la commnde correspondante pour le paramétrer commme il faut.
  • Aller sur le site principal et effectuez le téléchargement du dernier programme d'installation ou d'archive zip.

Le délai de sécurité est prévu pour que, dans le cas où un bogue critique est repéré sur une nouvelle version, une version de correction sorte assez rapidement, ce qui empêche les pernicieux parasites de se propager.

On peut également trouver Notepad++ sur des sites de diffusion générale de logiciels libres ou "shareware". Il faut savoir que cs distributeurs peuvent fort bien faire des ajouts au logiciel sans prvenir qui que ce soit, ne respectant pas les termes de la licnse de Notepad++, qui figurent dans le fichier license.txt. Notepad++ rend publics les résumés SHA-1 de ses installateurs et archives, afin de vérifier qu'aucun tiers ne les a altérés. Pour plus d'information, veuillez consulter le forum SHA-1 digests of binary packages ou l'article Redistributing Notepad++ sur NpWiki++ (en anglais).


Crédits

Ce fichier d'aide a été initialement écrit par Harry (harrybharry@users.sourceforge.net) et mis à jour depuis par CChris (cchris@users.sourceforge.net). La relecture par azjio45) a &t& fort utile. il a été converti en HTML à l'aide de KompoZer. Il a été traduit en français par lesueur.jacques@gmail.com, par décompilation de l'anglais et recompilation en français en un fichier d'aide avec Microsoft HTML Help Workshop.

Notepad++ est produit par Don Ho (don.h @ free.fr), Microsoft et Microsoft Windows sont des marques déposées. Mis à jour en fécrier 2014 for +Notepad+++ Version 5.9.1 .


Outil de mise en surbrillance Smart

Outil de mise en surbrillance automatique

Si le mode surbrillance est activé, Notepad++ met automatiquement en surbrillance toutes les occurrences du mot sous le curseur ou de la d'une sélection. Pour activer le mode surbrillance, voir Préférences. Pour ajuster la couleur utilisée, voir Configurateur de coloration syntaxique .